/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
#ifndef GLEAN_FFI_GENERATED_H
#define GLEAN_FFI_GENERATED_H


/* Generated with cbindgen:0.28.0 */

/* DO NOT MODIFY THIS MANUALLY! This file was generated using cbindgen. */

#include <cstdarg>
#include <cstdint>
#include <cstdlib>
#include <ostream>
#include <new>

/// The possible error types for metric recording.
/// Note: the cases in this enum must be kept in sync with the ones
/// in the platform-specific code (e.g. `ErrorType.kt`) and with the
/// metrics in the registry files.
enum class ErrorType {
  /// For when the value to be recorded does not match the metric-specific restrictions
  InvalidValue,
  /// For when the label of a labeled metric does not match the restrictions
  InvalidLabel,
  /// For when the metric caught an invalid state while recording
  InvalidState,
  /// For when the value to be recorded overflows the metric-specific upper range
  InvalidOverflow,
};

/// `FfiStr<'a>` is a safe (`#[repr(transparent)]`) wrapper around a
/// nul-terminated `*const c_char` (e.g. a C string). Conceptually, it is
/// similar to [`std::ffi::CStr`], except that it may be used in the signatures
/// of extern "C" functions.
///
/// Functions accepting strings should use this instead of accepting a C string
/// directly. This allows us to write those functions using safe code without
/// allowing safe Rust to cause memory unsafety.
///
/// A single function for constructing these from Rust ([`FfiStr::from_raw`])
/// has been provided. Most of the time, this should not be necessary, and users
/// should accept `FfiStr` in the parameter list directly.
///
/// ## Caveats
///
/// An effort has been made to make this struct hard to misuse, however it is
/// still possible, if the `'static` lifetime is manually specified in the
/// struct. E.g.
///
/// ```rust,no_run
/// # use ffi_support::FfiStr;
/// // NEVER DO THIS
/// #[no_mangle]
/// extern "C" fn never_do_this(s: FfiStr<'static>) {
///     // save `s` somewhere, and access it after this
///     // function returns.
/// }
/// ```
///
/// Instead, one of the following patterns should be used:
///
/// ```
/// # use ffi_support::FfiStr;
/// #[no_mangle]
/// extern "C" fn valid_use_1(s: FfiStr<'_>) {
///     // Use of `s` after this function returns is impossible
/// }
/// // Alternative:
/// #[no_mangle]
/// extern "C" fn valid_use_2(s: FfiStr) {
///     // Use of `s` after this function returns is impossible
/// }
/// ```
using FfiStr = const char*;

using RawStringArray = const char*const *;

extern "C" {

void glean_register_log_handler(void (*message_handler)(int32_t, char*));

void glean_initialize(bool is_telemetry_enabled, FfiStr data_path, FfiStr channel, FfiStr locale);

void glean_set_upload_enabled(bool is_telemetry_enabled);

void glean_set_debug_view_tag(FfiStr tag);

void glean_set_log_pings(bool flag);

void glean_shutdown();

void glean_test_reset_glean(bool is_telemetry_enabled, FfiStr data_path, FfiStr locale);

void glean_push_ping_filter(FfiStr ping_name);

void glean_clear_ping_filter();

void glean_boolean_set(uint32_t id, bool value);

bool glean_boolean_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_boolean_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_counter_add(uint32_t id, int32_t amount);

int32_t glean_counter_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_counter_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_datetime_set(uint32_t id);

char *glean_datetime_test_get_value_as_string(uint32_t id, FfiStr ping_name);

int32_t glean_datetime_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_event_record_no_extra(uint32_t id);

void glean_event_record(uint32_t id,
                        RawStringArray extra_keys,
                        RawStringArray extra_values,
                        int32_t extras_len);

int32_t glean_event_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

char *glean_event_test_get_value(uint32_t id, FfiStr ping_name);

void glean_submit_ping_by_id(uint32_t id, FfiStr reason);

void glean_quantity_set(uint32_t id, int64_t value);

int64_t glean_quantity_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_quantity_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_string_set(uint32_t id, FfiStr value);

char *glean_string_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_string_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

uint64_t glean_timing_distribution_start(uint32_t id);

void glean_timing_distribution_stop_and_accumulate(uint32_t id, uint64_t timer_id);

void glean_timing_distribution_cancel(uint32_t id, uint64_t timer_id);

char *glean_timing_distribution_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_timing_distribution_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_memory_distribution_accumulate(uint32_t id, int64_t sample);

char *glean_memory_distribution_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_memory_distribution_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_custom_distribution_accumulate_sample(uint32_t id, int64_t sample);

char *glean_custom_distribution_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_custom_distribution_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

void glean_uuid_set(uint32_t id, FfiStr uuid);

char *glean_uuid_generate_and_set(uint32_t id);

char *glean_uuid_test_get_value(uint32_t id, FfiStr ping_name);

int32_t glean_uuid_test_get_num_recorded_errors(uint32_t id, ErrorType error_type);

}  // extern "C"

#endif // GLEAN_FFI_GENERATED_H
