/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// AUTOGENERATED! DO NOT EDIT!!

#include "i18nstrings.h"

// static
const char* const I18nStrings::_ids[] = {
    // The first ID is for the empty string.
    "",

    //% "Refresh list"
    //: Accessible label for the button that triggers a refresh of the recommended servers list.
    QT_TRID_NOOP("vpn.serversView.recommendedRefreshLabel"),

    //% "All"
    //: Label for the “all” servers tab
    QT_TRID_NOOP("vpn.serversView.tabAllLabel"),

    //% "Recommended"
    //: Label for the “recommended” servers tab
    QT_TRID_NOOP("vpn.serversView.tabRecommendedLabel"),

    //% "Search countries"
    QT_TRID_NOOP("vpn.serversView.searchPlaceholder"),

    //% "No results. Try a different search"
    QT_TRID_NOOP("vpn.serversView.searchNoResultsLabel"),

    //% "Checking (%1%)…"
    //: Loading string while recommended servers are being calculated. Argument is the percentage of completion as an integer (i.e. 25)
    QT_TRID_NOOP("vpn.serversView.recommendedRefreshlLoadingLabel"),

    //% "Last updated: %1."
    //: The time (or in extremely rare circumstances, the date, day of the week, or "yesterday") which the recommended servers list was last updated. Argument is the time or date/day
    QT_TRID_NOOP("vpn.serversView.recommendedRefreshLastUpdatedLabel"),

    //% "Last updated: %1. To update this list please disconnect from the VPN."
    //: The time (or in extremely rare circumstances, the date, day of the week, or "yesterday") which the recommended servers list was last updated and instructions to re-enable the refresh button. Argument is the time or date/day
    QT_TRID_NOOP("vpn.serversView.recommendedRefreshLastUpdatedDisabledLabel"),

    //% "yesterday"
    QT_TRID_NOOP("vpn.serversView.recommendedRefreshLastUpdatedLabelYesterday"),

    //% "%1. Good connectivity"
    //: Button label that reads out a city name whose connection is good. Argument is the city name.
    QT_TRID_NOOP("vpn.serversView.serverCityWithGoodConnection"),

    //% "%1. Moderate connectivity"
    //: Button label that reads out a city name whose connection is moderate. Argument is the city name.
    QT_TRID_NOOP("vpn.serversView.serverCityWithModerateConnection"),

    //% "%1. Poor connectivity"
    //: Button label that reads out a city name whose connection is poor. Argument is the city name.
    QT_TRID_NOOP("vpn.serversView.serverCityWithPoorConnection"),

    //% "%1. No connectivity"
    //: Button label that reads out a city name whose connection is unavailable. Argument is the city name.
    QT_TRID_NOOP("vpn.serversView.serverCityWithNoConnection"),

    //% "To see recommended server locations, turn off the VPN."
    //: Label for recommended server list when the list is empty
    QT_TRID_NOOP("vpn.serversView.recommendedEmptyLabel"),

    //% "Search languages"
    //: Placeholder text for a search field that can be used to search through a list of languages
    QT_TRID_NOOP("vpn.languageView.searchPlaceholder"),

    //% "System language"
    //: the title for the system language radio button
    QT_TRID_NOOP("vpn.languageView.systemLanguageButtonTitle"),

    //% "Mozilla VPN will use the default system language."
    //: the description for the system lagnague radio button
    QT_TRID_NOOP("vpn.languageView.systemLanguageButtonDescription"),

    //% "Developer Options"
    QT_TRID_NOOP("vpn.settingsDev.title"),

    //% "Show Developer Options"
    QT_TRID_NOOP("vpn.settingsDev.showOptionTitle"),

    //% "Show or hide the developer options menu"
    QT_TRID_NOOP("vpn.settingsDev.showOptionSubtitle"),

    //% "Use Staging Servers"
    QT_TRID_NOOP("vpn.settingsDev.useStagingTitle"),

    //% "Staging services are used to test features before they go live to production"
    QT_TRID_NOOP("vpn.settingsDev.useStagingSubtitle"),

    //% "VPN must be restarted to take effect"
    QT_TRID_NOOP("vpn.settingsDev.restartRequired"),

    //% "Error activating App exclusions"
    QT_TRID_NOOP("vpn.splittunnel.errorActivating"),

    //% "Add apps manually"
    //: Displayed in a notification as "call to action" when apps are missing from the split-tunnel settings.
    QT_TRID_NOOP("vpn.splittunnel.missingAppActionButton"),

    //% "%1 apps missing from list."
    //: Apps listed in the split-tunnel settings. %1 is the number of missing apps
    //: If necessary, this can be translated as "Apps missing from list :%1"
    QT_TRID_NOOP("vpn.splittunnel.missingAppMultiple"),

    //% "Success! You added “%1” to this list."
    //: Displayed in notification after the user added a missing app to the split-tunnel List; %1 is the name of the added application
    QT_TRID_NOOP("vpn.splittunnel.missingAppAddedOne"),

    //% "Learn more"
    QT_TRID_NOOP("vpn.splittunnel.infoLinkText"),

    //% "VPN must be off to edit Excluded apps"
    //: Displays inside the information card at the top of the Excluded apps screen when the VPN is on
    QT_TRID_NOOP("vpn.splittunnel.infoCardDescription2"),

    //% "Single-hop"
    QT_TRID_NOOP("vpn.multiHopFeature.singleHopToggleCTA"),

    //% "Multi-hop"
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopToggleCTA"),

    //% "Select entry location"
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopEntryLocationHeader"),

    //% "Select exit location"
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopExitLocationHeader"),

    //% "Exit location represents your main VPN server."
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopInfoText"),

    //% "Recent connections"
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopConnectionsHeader"),

    //% "To"
    //: This is alt text for an arrow showing the multi-hop route between servers. e.g. Atlanta TO Copenhagen
    QT_TRID_NOOP("vpn.multiHopFeature.multiHopArrowAltText"),

    //% "No results. Try a different search"
    QT_TRID_NOOP("vpn.multiHopFeature.serverSearchResultsError"),

    //% "%1 to %2"
    //: Accessible label that is used for recent multi-hop server connections. “%1” represents the entry server and “%2” the exit server.
    QT_TRID_NOOP("vpn.multiHopFeature.accessibleNameRecentConnection"),

    //% "Contact support"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportNavLinkText"),

    //% "Enter your email"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportEmailFieldLabel"),

    //% "Email address"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportEmailFieldPlaceholder"),

    //% "Confirm email address"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportConfirmEmailPlaceholder"),

    //% "How can we help you with Mozilla VPN?"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportFieldHeader"),

    //% "Choose a category"
    //: A user trying to submit feedback will use this dropdown to select the general topic related to the feedback.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.dropdownLabel"),

    //% "Payment and billing"
    //: A user selecting this will be submitting in-app feedback related to payment and billing.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.paymentDropdownListItem"),

    //% "Account issues"
    //: A user selecting this will be submitting in-app feedback related to account issues.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.accountDropdownListItem"),

    //% "Technical issues"
    //: A user selecting this will be submitting in-app feedback related to technical issues.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.technicaDropdownListItem"),

    //% "Request features"
    //: A user selecting this will be submitting in-app feedback related to requesting new features.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.featureRequestDropdownListItem"),

    //% "Other"
    //: A user selecting this will be submitting in-app feedback related to issues not covered under the other categories.
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.otherDropdownListItem"),

    //% "Subject (optional)"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.subjectFieldPlaceholder"),

    //% "Describe issue"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.issueFieldPlaceholder"),

    //% "When you submit, Mozilla VPN will collect technical and interaction data with your email to help our support team understand your issue."
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.disclaimerText"),

    //% "Mozilla VPN Privacy Notice"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.privacyNoticeLinkText"),

    //% "Submit"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportPrimaryButtonText"),

    //% "Cancel"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportSecondaryActionText"),

    //% "Thank you!"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportResponseHeader"),

    //% "Our support team will contact you at %1 once we’ve been able to look at your issue."
    //: The %1 represents the email used to complete the form
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportResponseBody"),

    //% "Done"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportResponseButton"),

    //% "Error submitting your support request"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportErrorHeader"),

    //% "An unexpected error has occurred, please try again."
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportErrorText"),

    //% "Try Again"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportErrorButton"),

    //% "Try opening in browser"
    QT_TRID_NOOP("vpn.inAppSupportWorkflow.supportErrorBrowserButton"),

    //% "Sign in to Google Account"
    QT_TRID_NOOP("vpn.notSignedInGoogle.googleModalHeader"),

    //% "To continue subscribing, please sign in to your Google Account"
    QT_TRID_NOOP("vpn.notSignedInGoogle.googleModalBodyText"),

    //% "Go to Play Store"
    QT_TRID_NOOP("vpn.notSignedInGoogle.googleModalLinkText"),

    //% "Problem confirming subscription"
    QT_TRID_NOOP("vpn.multiFxaAccountError.fxaAccountErrorHeader"),

    //% "Your subscription is linked to another Mozilla account. You may need to sign in with a different email address."
    QT_TRID_NOOP("vpn.multiFxaAccountError.mozAccountErrorText"),

    //% "Visit our help center to learn more about managing your subscriptions."
    QT_TRID_NOOP("vpn.multiFxaAccountError.visitOurHelpCenter"),

    //% "Problem confirming subscription"
    QT_TRID_NOOP("vpn.genericPurchaseError.genericPurchaseErrorHeader"),

    //% "An unexpected error has occurred, please try again. Visit our help center below to learn how to troubleshoot this issue or contact support."
    QT_TRID_NOOP("vpn.genericPurchaseError.genericPurchaseErrorText"),

    //% "Try Again"
    QT_TRID_NOOP("vpn.genericPurchaseError.genericPurchaseErrorButton"),

    //% "Already a subscriber?"
    QT_TRID_NOOP("vpn.restorePurchase.restorePurchaseButton"),

    //% "Sorry, we were unable to confirm your subscription. Please try again or contact our support team for help."
    QT_TRID_NOOP("vpn.restorePurchaseGenericPurchaseError.restorePurchaseGenericPurchaseErrorText"),

    //% "Sorry, we are unable to connect your Mozilla account to a current subscription. Please try again or contact our support team for further assistance."
    QT_TRID_NOOP("vpn.restorePurchaseExpiredError.restorePurchaseExpiredErrorText2"),

    //% "Another Mozilla account has already subscribed using this Apple ID. Please sign out and try again or contact our support team for help."
    QT_TRID_NOOP("vpn.restorePurchaseInUseError.restorePurchaseInUseErrorText2"),

    //% "Subscribe to Mozilla VPN"
    QT_TRID_NOOP("vpn.purchaseWeb.title"),

    //% "We couldn’t find a subscription for %1. Subscribe now to protect your connection."
    //: %1 is the user’s email address.
    QT_TRID_NOOP("vpn.purchaseWeb.message"),

    //% "Please continue subscribing in your browser…"
    QT_TRID_NOOP("vpn.purchaseWeb.inProgress2"),

    //% "%1-month plan: %2"
    //: %1 is replaced by the subscription duration in months. %2 is replaced by the total subscription cost.
    QT_TRID_NOOP("vpn.purchase.subscriptionOption"),

    //% "Save %1%"
    //: Appears on the in-app purchase view beside a subscription plan. "%1" is replaced by the percentage amount saved when selecting that plan
    QT_TRID_NOOP("vpn.purchase.percentSaved"),

    //% "Subscribe now"
    //: Button label
    QT_TRID_NOOP("vpn.purchase.subscribeNow"),

    //% "Multi-hop tunnel"
    QT_TRID_NOOP("vpn.networkSettings.multihopTitle"),

    //% "Captive portal detected!"
    QT_TRID_NOOP("vpn.captivePortalAlert.title"),

    //% "A captive portal is when the guest Wi-Fi you are using requires you to log in to get internet access."
    QT_TRID_NOOP("vpn.captivePortalAlert.header"),

    //% "You can turn on your VPN once you have gained internet access by logging in to the portal."
    QT_TRID_NOOP("vpn.captivePortalAlert.actionPreActivation"),

    //% "You must turn off your VPN in order to see the portal, and turn it back on once you have logged in."
    QT_TRID_NOOP("vpn.captivePortalAlert.actionPostActivation"),

    //% "Okay"
    QT_TRID_NOOP("vpn.captivePortalAlert.buttonTextPreActivation"),

    //% "Turn off VPN"
    QT_TRID_NOOP("vpn.captivePortalAlert.buttonTextPostActivation"),

    //% "Guest Wi-Fi portal blocked"
    QT_TRID_NOOP("vpn.notifications.captivePortalBlockTitle"),

    //% "The guest Wi-Fi network you’re connected to requires action. Click to turn off VPN to see the portal."
    QT_TRID_NOOP("vpn.notifications.captivePortalBlockMessage2"),

    //% "Guest Wi-Fi portal detected"
    QT_TRID_NOOP("vpn.notifications.captivePortalUnblockTitle"),

    //% "The guest Wi-Fi network you’re connected to may not be secure. Click to turn on VPN to secure your device."
    QT_TRID_NOOP("vpn.notifications.captivePortalUnblockMessage2"),

    //% "Connection failed"
    QT_TRID_NOOP("vpn.notifications.connectionFailedTitle"),

    //% "Sorry, something went wrong with your VPN connection."
    QT_TRID_NOOP("vpn.notifications.connectionFailedMessage"),

    //% "Your Mozilla VPN subscription cannot be found. Please open the app to resolve this subscription issue."
    QT_TRID_NOOP("vpn.notifications.subscriptionNotFound"),

    //% "Unsecured Wi-Fi network detected"
    QT_TRID_NOOP("vpn.notifications.unsecuredNetworkTitle"),

    //% "%1 is not secure. Click here to turn on VPN and secure your device."
    //: %1 is the Wi-Fi network name
    QT_TRID_NOOP("vpn.notifications.unsecuredNetworkMessage"),

    //% "VPN Connected"
    QT_TRID_NOOP("vpn.notifications.VPNConnectedTitle"),

    //% "Connected through %1"
    //: %1 is the name of the city the VPN is connected to.
    QT_TRID_NOOP("vpn.notifications.VPNConnectedMessages"),

    //% "Connected through %1 via %2"
    //: %1 is the name of the exit server, %2 is the name of the entry server.
    QT_TRID_NOOP("vpn.notifications.VPNMultihopConnectedMessages"),

    //% "VPN Disconnected"
    QT_TRID_NOOP("vpn.notifications.VPNDisconnectedTitle"),

    //% "Disconnected from %1"
    //: %1 is the name of the city the VPN disconnected from.
    QT_TRID_NOOP("vpn.notifications.VPNDisconnectedMessage"),

    //% "Disconnected from %1 and %2"
    //: %1 is the name of the exit server, %2 is the name of the entry server.
    QT_TRID_NOOP("vpn.notifications.VPNMultihopDisconnectedMessage"),

    //% "VPN Switched Servers"
    QT_TRID_NOOP("vpn.notifications.VPNSwitchedServersTitle"),

    //% "Switched from %1 to %2"
    //: %1 is the name of the initial server, %2 is the name of the destination server.
    QT_TRID_NOOP("vpn.notifications.VPNSwitchedServersMessage"),

    //% "Hide Mozilla VPN"
    QT_TRID_NOOP("vpn.systray.hide"),

    //% "Show Mozilla VPN"
    QT_TRID_NOOP("vpn.systray.show"),

    //% "Connected to:"
    QT_TRID_NOOP("vpn.systray.statusConnectedTo"),

    //% "Connect to the last location:"
    QT_TRID_NOOP("vpn.systray.statusConnectTo"),

    //% "Connecting to:"
    QT_TRID_NOOP("vpn.systray.statusConnectingTo"),

    //% "Disconnecting from:"
    QT_TRID_NOOP("vpn.systray.statusDisconnectingFrom"),

    //% "%1, %2"
    //: Location in the systray. %1 is the country, %2 is the city.
    QT_TRID_NOOP("vpn.systray.location2"),

    //% "Disconnect"
    QT_TRID_NOOP("vpn.systray.disconnect"),

    //% "Help"
    QT_TRID_NOOP("vpn.systray.help"),

    //% "Preferences…"
    QT_TRID_NOOP("vpn.systray.preferences"),

    //% "Quit Mozilla VPN"
    QT_TRID_NOOP("vpn.systray.quit"),

    //% "Privacy features"
    QT_TRID_NOOP("vpn.settings.privacySettings"),

    //% "Excluded apps"
    QT_TRID_NOOP("vpn.settings.appExclusionTitle"),

    //% "DNS settings"
    QT_TRID_NOOP("vpn.settings.dnsSettings"),

    //% "Preferences"
    QT_TRID_NOOP("vpn.settings.preferencesSettings"),

    //% "Help improve Mozilla VPN by sharing crash reports, diagnostics, and product usage data."
    QT_TRID_NOOP("vpn.settings.shareTechnicalDataDescription"),

    //% "Connect VPN on startup"
    //: Startup refers to a device's startup, not the VPN client's.
    QT_TRID_NOOP("vpn.settings.startAtBootTitle"),

    //% "Mozilla VPN will launch and connect when you start up your device"
    QT_TRID_NOOP("vpn.settings.startAtBootSubtitle"),

    //% "Allow Mozilla VPN to automatically send crash reports to help fix unexpected crashes"
    //: This is the description of a checkbox option to allow the app to send crash reports without a user prompt
    QT_TRID_NOOP("vpn.settings.crashOptInDescription"),

    //% "These options may cause some websites to break or not display content correctly."
    QT_TRID_NOOP("vpn.settings.privacyCard"),

    //% "Block ads"
    QT_TRID_NOOP("vpn.settings.privacyAdblockTitle"),

    //% "Reduces the number of ads you see when you’re using VPN"
    QT_TRID_NOOP("vpn.settings.privacyAdblockBody"),

    //% "Block trackers"
    QT_TRID_NOOP("vpn.settings.privacyTrackerTitle"),

    //% "Fewer harmful domains will be able to track you"
    QT_TRID_NOOP("vpn.settings.privacyTrackerBody"),

    //% "Block malware"
    QT_TRID_NOOP("vpn.settings.privacyMalwareTitle"),

    //% "Helps protect you from ransomware, phishing, spyware, and viruses"
    QT_TRID_NOOP("vpn.settings.privacyMalwareBody2"),

    //% "Use standard DNS"
    QT_TRID_NOOP("vpn.settings.dnsSettingsStandardDNSTitle"),

    //% "Resolve websites using Mozilla VPN’s standard DNS"
    QT_TRID_NOOP("vpn.settings.dnsSettingsStandardDNSBody"),

    //% "Use custom DNS"
    QT_TRID_NOOP("vpn.settings.dnsSettingsCustomDNSTitle"),

    //% "Resolve websites using a custom DNS"
    QT_TRID_NOOP("vpn.settings.dnsSettingsCustomDNSBody"),

    //% "Invalid DNS, please try a new one"
    QT_TRID_NOOP("vpn.settings.dnsSettingsCustomDNSError"),

    //% "These options may cause some websites to break or not display content correctly."
    QT_TRID_NOOP("vpn.settings.dnsSettingsWarning"),

    //% "Enter custom DNS"
    QT_TRID_NOOP("vpn.settings.dnsSettingsInputPlaceholder"),

    //% "Changing these settings will cause the VPN to disconnect and reconnect automatically."
    QT_TRID_NOOP("vpn.settings.dnsSettingsDisconnectWarning"),

    //% "Clear all"
    //: Button label to clear all apps from the exclusions list
    QT_TRID_NOOP("vpn.settings.appExclusionClearAllApps"),

    //% "Sign In Again"
    QT_TRID_NOOP("vpn.settings.reauthTitle"),

    //% "For your security, please sign in again to access your account information. You’ll complete this process on Mozilla’s website."
    QT_TRID_NOOP("vpn.settings.reauthDescription"),

    //% "Exclude local network traffic"
    QT_TRID_NOOP("vpn.localNetworkAccess.labelTitle"),

    //% "Access Apple CarPlay, AirDrop, AirPlay and local network devices like printers."
    QT_TRID_NOOP("vpn.localNetworkAccess.subLabel"),

    //% "Access Apple CarPlay, AirDrop, AirPlay and local network devices like printers. The VPN must be off to edit this setting."
    QT_TRID_NOOP("vpn.localNetworkAccess.disabledSubLabel"),

    //% "Override DNS settings?"
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.titleDNS"),

    //% "Override privacy features?"
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.titlePrivacy"),

    //% "Using these privacy features will override your custom DNS."
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.bodyDNS"),

    //% "Using a custom DNS will override your preferences in the privacy features page."
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.bodyPrivacy"),

    //% "Confirm"
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.primaryButton"),

    //% "Maybe later"
    QT_TRID_NOOP("vpn.dnsOverwriteDialog.secondaryButton"),

    //% "About us"
    QT_TRID_NOOP("vpn.aboutUs.title"),

    //% "Licenses"
    QT_TRID_NOOP("vpn.aboutUs.licenses"),

    //% "Copy %1"
    //: Accessible name for a button. %1 is the version number of the VPN client.
    QT_TRID_NOOP("vpn.aboutUs.copyVersionNumber"),

    //% "Privacy notice"
    QT_TRID_NOOP("vpn.aboutUs.privacyNotice"),

    //% "Terms of service"
    QT_TRID_NOOP("vpn.aboutUs.termsOfService"),

    //% "Release version"
    //: Refers to the installed version. For example: 'Release Version: 1.23'
    QT_TRID_NOOP("vpn.aboutUs.releaseVersion"),

    //% "General Notifications"
    //: A notification channel; so the user can subscribe to "General Notifications"
    QT_TRID_NOOP("vpn.AndroidNotifications.GeneralNotifications"),

    //% "Check for Updates"
    QT_TRID_NOOP("vpn.updateButton.checkForUpdateButtonText"),

    //% "You are up to date"
    QT_TRID_NOOP("vpn.updateButton.titleNoUpdate"),

    //% "You currently have the latest version of Mozilla VPN"
    QT_TRID_NOOP("vpn.updateButton.descriptionNoUpdate2"),

    //% "Okay"
    QT_TRID_NOOP("vpn.updateButton.actionNoUpdate"),

    //% "Updates available"
    QT_TRID_NOOP("vpn.updateButton.titleOnUpdate"),

    //% "Click to update to the latest version of the application"
    QT_TRID_NOOP("vpn.updateButton.descriptionOnUpdate"),

    //% "Update now"
    QT_TRID_NOOP("vpn.updateButton.actionOnUpdate"),

    //% "We strive to provide you with choices and collect only the data we need to improve Mozilla VPN. Sharing this data with Mozilla is optional."
    QT_TRID_NOOP("vpn.telemetryPolicyView.description"),

    //% "Allow Mozilla VPN to send technical, interaction, and campaign and referral data to Mozilla?"
    QT_TRID_NOOP("vpn.telemetryPolicyView.question"),

    //% "Share technical data"
    //: Headline of telemetry policy view and checkbox label
    QT_TRID_NOOP("vpn.telemetryPolicyView.shareTechnicalData"),

    //% "Don’t allow"
    //: Button label
    QT_TRID_NOOP("vpn.telemetryPolicyView.doNotAllow"),

    //% "Allow on this device"
    //: Button label
    QT_TRID_NOOP("vpn.telemetryPolicyView.allow"),

    //% "Learn more about what data Mozilla collects and how it’s used."
    QT_TRID_NOOP("vpn.telemetryPolicyView.learnMore"),

    //% "Unexpected error"
    QT_TRID_NOOP("vpn.genericError.unexpected"),

    //% "Start speed test"
    //: Accessible label for the button that opens the speed test view and initiates a speed test
    QT_TRID_NOOP("vpn.connectionInfo.startSpeedTest"),

    //% "bit/s"
    //: Bits per second
    QT_TRID_NOOP("vpn.connectionInfo.labelBitps"),

    //% "kbit/s"
    //: Kilobits per second
    QT_TRID_NOOP("vpn.connectionInfo.labelKbitps"),

    //% "Mbit/s"
    //: Megabits per second
    QT_TRID_NOOP("vpn.connectionInfo.labelMbitps"),

    //% "Gbit/s"
    //: Gigabits per second
    QT_TRID_NOOP("vpn.connectionInfo.labelGbitps"),

    //% "Tbit/s"
    //: Terabits per second
    QT_TRID_NOOP("vpn.connectionInfo.labelTbitps"),

    //% "Ping"
    //: Latency of the connection
    QT_TRID_NOOP("vpn.connectionInfo.labelPing"),

    //% "Upload"
    //: Label for the upload benchmark shown in the speed test view.
    QT_TRID_NOOP("vpn.connectionInfo.labelUpload"),

    //% "ms"
    QT_TRID_NOOP("vpn.connectionInfo.unitPing"),

    //% "Testing speed…"
    //: Shown to the user while waiting for the connection speed test results
    QT_TRID_NOOP("vpn.connectionInfo.loadingIndicatorLabel"),

    //% "Looks like there was an unexpected error while trying to connect. Please try again or check your connection."
    QT_TRID_NOOP("vpn.connectionInfo.errorMessage"),

    //% "At your current speed, here’s what your device is optimized for:"
    //: Headline for a list of things that the current connection is capable of.
    QT_TRID_NOOP("vpn.connectionInfo.listHeaderDefault"),

    //% "It looks like the connection to this server location is a bit slow, you can try:"
    //: Headline for a list of suggestions for troubleshooting the current connection.
    QT_TRID_NOOP("vpn.connectionInfo.listHeaderSlow"),

    //% "Switching server locations"
    //: This is a bullet item in the connection troubleshooting section
    QT_TRID_NOOP("vpn.connectionInfo.troubleshootingBulletOne"),

    //% "Checking your internet connection"
    //: This is a bullet item in the connection troubleshooting section
    QT_TRID_NOOP("vpn.connectionInfo.troubleshootingBulletTwo"),

    //% "Switching back to a single-hop connection"
    //: This is a bullet item in the connection troubleshooting section for multi-hop connections
    QT_TRID_NOOP("vpn.connectionInfo.troubleshootingBulletThree"),

    //% "Browsing the internet"
    //: This is a bullet item in the connection section for medium speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.mediumBulletOne"),

    //% "Streaming video"
    //: This is a bullet item in the connection section for medium speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.mediumBulletTwo"),

    //% "Video conferencing"
    //: This is a bullet item in the connection section for medium speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.mediumBulletThree"),

    //% "Streaming in 4K"
    //: This is a bullet item in the connection section for high speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.highBulletOne"),

    //% "High-speed downloads"
    //: This is a bullet item in the connection section for high speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.highBulletTwo"),

    //% "Online gaming"
    //: This is a bullet item in the connection section for high speedtest results
    QT_TRID_NOOP("vpn.connectionInfo.highBulletThree"),

    //% "Connection information"
    //: Title for the connection metrics view.
    QT_TRID_NOOP("vpn.connectionInfo.metricsTitle"),

    //% "Exit Server IP:"
    //: Exit server IP label for IPV4.
    //: IP is the abbreviation for Internet Procol. This is followed by the user’s IPv4 address.
    QT_TRID_NOOP("vpn.connectionInfo.exitServerLabelIp"),

    //% "Exit Server IPv6:"
    //: Exit server IP label for IPv6.
    //: IPv6 is the abbreviation for Internet Procol version 6. This is followed by the user’s IPv6 address.
    QT_TRID_NOOP("vpn.connectionInfo.exitServerLabelIpv6"),

    //% "Connection information"
    //: Accessible label for the button that shows the IP info panel when clicked.
    QT_TRID_NOOP("vpn.connectionInfo.connectionInformation"),

    //% "Restart speed test"
    //: Accessible label for the button to restart the speed test upon its completion.
    QT_TRID_NOOP("vpn.connectionInfo.restartSpeedTest"),

    //% "Mozilla Crash Report"
    //: Main window title
    QT_TRID_NOOP("vpn.crashreporter.mainTitle"),

    //% "Crash reporting"
    //: Label over description text section.
    QT_TRID_NOOP("vpn.crashreporter.mainHeading"),

    //% "The Mozilla VPN app quit unexpectedly. Would you like to send a crash report to help fix the issue?"
    //: Main text telling the user that we are asking for permission to send a crash report.
    QT_TRID_NOOP("vpn.crashreporter.description"),

    //% "Send report"
    //: User agrees to send a crash report.
    QT_TRID_NOOP("vpn.crashreporter.sendButtonLabel"),

    //% "No thanks"
    //: User does not agree to send a crash report.
    QT_TRID_NOOP("vpn.crashreporter.dontSendButton"),

    //% "Don’t show this again. Autosend crash reports to Mozilla."
    //: This is a description for a checkbox on the crash reporter dialog.
    QT_TRID_NOOP("vpn.crashreporter.crashOptInDialogDescription"),

    //% "Server unavailable"
    QT_TRID_NOOP("vpn.serverUnavailableModal.headerText"),

    //% "This server location is temporarily unavailable. Choose a new location."
    QT_TRID_NOOP("vpn.serverUnavailableModal.bodyText"),

    //% "Choose a new location"
    QT_TRID_NOOP("vpn.serverUnavailableModal.buttonLabel"),

    //% "This server location is temporarily unavailable. Please open the app to choose a new location."
    QT_TRID_NOOP("vpn.serverUnavailableNotification.bodyText"),

    //% "The server has been blocked. Check your firewall settings."
    QT_TRID_NOOP("vpn.serverUnavailableNotification.bodyTextFireWallBlocked"),

    //% "Server unavailable notification"
    QT_TRID_NOOP("vpn.serverUnavailableNotification.preferencesLabel"),

    //% "Get notified when connecting to a server location failed"
    QT_TRID_NOOP("vpn.serverUnavailableNotification.preferencesSubLabel"),

    //% "Mozilla VPN"
    QT_TRID_NOOP("vpn.mobileOnboarding.panelOneTitle"),

    //% "A safe, reliable and fast VPN. Built by the makers of Firefox."
    QT_TRID_NOOP("vpn.mobileOnboarding.panelOneSubtitle"),

    //% "Sign up"
    QT_TRID_NOOP("vpn.mobileOnboarding.signUpBtn"),

    //% "Already a subscriber?"
    QT_TRID_NOOP("vpn.mobileOnboarding.alreadyASubscriber"),

    //% "Protect your privacy"
    QT_TRID_NOOP("vpn.onboarding.panelTwoTitle"),

    //% "With more than 500 servers in 60 cities around the world, Mozilla VPN protects your data, browsing activity, and your true location from network spies."
    QT_TRID_NOOP("vpn.onboarding.panelTwoSubtitle"),

    //% "One tap to safety"
    QT_TRID_NOOP("vpn.onboarding.panelThreeTitle"),

    //% "Protecting yourself is simple: tap to connect to the VPN and you’re ready to browse safely. Mozilla VPN will start automatically for seamless protection."
    QT_TRID_NOOP("vpn.onboarding.panelThreeSubtitle"),

    //% "Add even more privacy"
    QT_TRID_NOOP("vpn.onboarding.panelFourTitle"),

    //% "You can set Mozilla VPN to protect you from ads, trackers, and malware. Plus, customize your protection for specific apps."
    QT_TRID_NOOP("vpn.onboarding.panelFourSubtitle"),

    //% "Data"
    //: Label for onboarding progress bar step where users can select to enable data collection
    QT_TRID_NOOP("vpn.onboarding.progressBarDataUse"),

    //% "Privacy"
    //: Label for onboarding progress bar step where users can select to enable various privacy settings
    QT_TRID_NOOP("vpn.onboarding.progressBarMorePrivacy"),

    //% "Devices"
    //: Label for onboarding progress bar step where users find out how to install Mozilla VPN on other devices
    QT_TRID_NOOP("vpn.onboarding.progressBarAddDevices"),

    //% "Startup"
    //: Label for onboarding progress bar step where users can select to enable VPN startup on device boot
    QT_TRID_NOOP("vpn.onboarding.progressBarStartup"),

    //% "Connect"
    //: Label for onboarding progress bar step where users can grant permission to create a VPN configuration with the system
    QT_TRID_NOOP("vpn.onboarding.progressBarConnect"),

    //% "Onboarding step “%1” (%2 of %3). Select to go back to this step."
    //: Accessibility read out for completed steps in the step progress bar. %1 is the name of the step. %2 is the index of the current step. %3 is the total number of steps.
    QT_TRID_NOOP("vpn.onboarding.progressBarAccessibilityStepComplete"),

    //% "Onboarding step “%1” (%2 of %3). You are currently on this step."
    //: Accessibility read out for the current step in the step progress bar. %1 is the name of the step. %2 is the index of the current step. %3 is the total number of steps.
    QT_TRID_NOOP("vpn.onboarding.progressBarAccessibilityStepCurrent"),

    //% "Onboarding step “%1” (%2 of %3)"
    //: Accessibility read out for incomplete future steps in the step progress bar. %1 is the name of the step. %2 is the index of the current step. %3 is the total number of steps.
    QT_TRID_NOOP("vpn.onboarding.progressBarAccessibilityStepIncomplete2"),

    //% "Data collection"
    QT_TRID_NOOP("vpn.onboarding.dataSlideHeader2"),

    //% "Help us improve Mozilla VPN by sharing crash reports, diagnostics, and product usage data. We never collect data about your online activity while using the VPN."
    QT_TRID_NOOP("vpn.onboarding.dataSlideBody2"),

    //% "Share technical data"
    QT_TRID_NOOP("vpn.onboarding.dataSlideToggleLabel"),

    //% "Learn more about data collection"
    QT_TRID_NOOP("vpn.onboarding.dataSlideLearnMoreCaption2"),

    //% "Mozilla VPN Privacy Notice"
    QT_TRID_NOOP("vpn.onboarding.dataSlidePrivacyLinkLabel"),

    //% "Get more privacy"
    QT_TRID_NOOP("vpn.onboarding.privacySlideHeader"),

    //% "Use these features for more protection. They may cause issues on some sites, so you can turn them off anytime in settings."
    QT_TRID_NOOP("vpn.onboarding.privacySlideBody"),

    //% "Install Mozilla VPN on up to 5 devices"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideHeader"),

    //% "To install the VPN on another tablet or mobile device, scan the QR code."
    QT_TRID_NOOP("vpn.onboarding.devicesSlideBody2"),

    //% "To install the VPN on another tablet or mobile device, scan the QR code. To install on a desktop computer, visit the Download page on the Mozilla VPN website."
    QT_TRID_NOOP("vpn.onboarding.devicesSlideBodyMobile"),

    //% "Select device type:"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideDeviceTypeLabel"),

    //% "Android"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideDeviceTypeAndroid"),

    //% "Apple"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideDeviceTypeApple"),

    //% "QR Code that links to the Mozilla VPN product page on the Google Play Store"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideQRCodeAndroid"),

    //% "QR Code that links to the Mozilla VPN product page on the iOS App Store"
    QT_TRID_NOOP("vpn.onboarding.devicesSlideQRCodeApple"),

    //% "Connect Mozilla VPN on startup"
    QT_TRID_NOOP("vpn.onboarding.startSlideHeader"),

    //% "Launch the VPN whenever you start your device. We’ll automatically reconnect you to the same server location you last used."
    QT_TRID_NOOP("vpn.onboarding.startSlideBody2"),

    //% "Allow Mozilla VPN to create a VPN connection"
    QT_TRID_NOOP("vpn.onboarding.startSlideMobileHeader"),

    //% "Your mobile device will now ask you to allow Mozilla VPN to create a connection. Please allow this so that the VPN works correctly on your device."
    QT_TRID_NOOP("vpn.onboarding.startSlideMobileBody"),

    //% "Allow VPN connection"
    QT_TRID_NOOP("vpn.onboarding.startSlideAllowButtonLabel"),

    //% "Enter email"
    QT_TRID_NOOP("vpn.inAppAuth.emailInputPlaceholder"),

    //% "Change email"
    QT_TRID_NOOP("vpn.inAppAuth.changeEmailLink"),

    //% "Sign in"
    QT_TRID_NOOP("vpn.inAppAuth.signInButton"),

    //% "Continue to Mozilla VPN by signing in with your Mozilla account"
    QT_TRID_NOOP("vpn.inAppAuth.signInSubtitle2"),

    //% "To continue, please confirm with your Mozilla account password."
    QT_TRID_NOOP("vpn.inAppAuth.reauthSignInSubtitle2"),

    //% "Create password"
    //: This is a label displayed on the password creation screen.
    QT_TRID_NOOP("vpn.inAppAuth.createPasswordLabel"),

    //% "Forgot your password?"
    QT_TRID_NOOP("vpn.inAppAuth.forgotPasswordLink"),

    //% "Enter password"
    QT_TRID_NOOP("vpn.inAppAuth.passwordInputPlaceholder"),

    //% "Password"
    QT_TRID_NOOP("vpn.inAppAuth.passwordInputLabel"),

    //% "Must be at least 8 characters"
    //: This is a hint for the user - they must provide a password with at least 8 characters
    QT_TRID_NOOP("vpn.inAppAuth.passwordHintCharacterLength"),

    //% "Must not be your email address"
    //: This is a hint for the user - they must provide a password that does not match their email.
    QT_TRID_NOOP("vpn.inAppAuth.passwordHintEmailAddressAsPassword"),

    //% "Must not be a common password"
    //: This is a hint for the user - password they provide must not be a common password. Ex. password.
    QT_TRID_NOOP("vpn.inAppAuth.passwordHintCommonPassword"),

    //% "Show password"
    //: Tooltip label for the eye icon in password input
    QT_TRID_NOOP("vpn.inAppAuth.showPassword"),

    //% "Hide password"
    //: Tooltip label for the eye icon in password input
    QT_TRID_NOOP("vpn.inAppAuth.hidePassword"),

    //% "I’d like to receive product update emails from Firefox."
    //: Checkbox label for users to opt in, when creating an account, to receive product update emails from Firefox.
    QT_TRID_NOOP("vpn.inAppAuth.productUpdateOptInDescription"),

    //% "Create account"
    QT_TRID_NOOP("vpn.inAppAuth.createAccountButton"),

    //% "Finish creating your Mozilla account to continue to Mozilla VPN"
    //: User message prompting user to finish creating their account to use Mozilla VPN.
    QT_TRID_NOOP("vpn.inAppAuth.finishAccountCreationDescription2"),

    //% "Open your email and enter the verification code that was sent."
    //: User has been sent a verification email containing a code.
    QT_TRID_NOOP("vpn.inAppAuth.emailVerificationDescription"),

    //% "Invalid password. Please try again"
    //: User has submitted an invalid password.
    QT_TRID_NOOP("vpn.inAppAuth.invalidPasswordErrorMessage"),

    //% "Invalid code. Please try again"
    //: User provided did not provide a correct security code.
    QT_TRID_NOOP("vpn.inAppAuth.invalidCodeErrorMessage"),

    //% "Invalid email. Please try again"
    //: Generic message for when user submits incorrect email.
    QT_TRID_NOOP("vpn.inAppAuth.invalidEmailErrorMessage"),

    //% "Email format not supported. Please try again with a different email"
    //: User is providing us an email that is not formatted correctly. Ex. jsmith&gmail.com
    QT_TRID_NOOP("vpn.inAppAuth.invalidEmailFormatErrorMessage"),

    //% "Enter verification code"
    QT_TRID_NOOP("vpn.inAppAuth.verificationCodeTitle"),

    //% "Enter 8-digit code"
    //: Placeholder text for input element asking user for 8-digit verification code from their email.
    QT_TRID_NOOP("vpn.inAppAuth.unblockCodeInputPlaceholder"),

    //% "Enter 6-digit code"
    //: Placeholder text for input element asking user for 6-digit verification code from their email.
    QT_TRID_NOOP("vpn.inAppAuth.sessionEmailCodeInputPlaceholder"),

    //% "Verify"
    QT_TRID_NOOP("vpn.inAppAuth.verifySecurityCodeButton"),

    //% "Resend code"
    //: This link allows the user to request for another 6-digit verification code to be sent to their email.
    QT_TRID_NOOP("vpn.inAppAuth.resendCodeLink"),

    //% "Security code"
    //: Label for input asking user for their security code.
    QT_TRID_NOOP("vpn.inAppAuth.securityCodeLabel"),

    //% "Enter security code"
    //: Title for app screen asking user for their security code.
    QT_TRID_NOOP("vpn.inAppAuth.securityCodeTitle"),

    //% "Open your authentication app and enter the security code it provides."
    //: User is asked for a security code from their authentication app for verification.
    QT_TRID_NOOP("vpn.inAppAuth.securityCodeSubtitle"),

    //% "Enter 6-digit code"
    //: Placeholder text for input element asking user for TOTP 6-digit verification code.
    QT_TRID_NOOP("vpn.inAppAuth.securityCodeInputPlaceholder"),

    //% "We only use your email to create your account or sign in. We will never sell it to a third party."
    //: Non-op text that informs user about how Mozilla will not sell it to a third party.
    QT_TRID_NOOP("vpn.inAppAuth.informationUsageDisclaimer"),

    //% "Sign-in failed"
    QT_TRID_NOOP("vpn.inAppAuth.signInFailedPopupTitle"),

    //% "You’ve made too many attempts to sign in. You won’t be able to try again with this account for 15 minutes."
    //: User has been unable to sign in correctly, they have a cool down period of 15 minutes until they can try again.
    QT_TRID_NOOP("vpn.inAppAuth.signInFailedPopupDescription"),

    //% "You’ve made too many attempts to sign in. You won’t be able to try again with this account for 1 minute."
    //: User has been unable to sign in correctly, they have a cool down period of 1 minute until they can try again.
    QT_TRID_NOOP("vpn.inAppAuth.signInBlockedForOneMinute"),

    //% "Primary account email required for sign-in"
    //: App screen that informs the user there was an error signing them in - this is the message.
    QT_TRID_NOOP("vpn.inAppAuth.problemEmailTypeNotSupported"),

    //% "Problem sending email…"
    //: App screen that informs the user there was an error sending them their verification code email - this is the title.
    QT_TRID_NOOP("vpn.inAppAuth.problemSendingEmailTitle"),

    //% "Sorry, we were unable to send you a verification code."
    //: App screen that informs the user there was an error sending them their verification code email - this is the message.
    QT_TRID_NOOP("vpn.inAppAuth.problemSendingEmailErrorMessage"),

    //% "Enter your email address to continue using Mozilla VPN"
    QT_TRID_NOOP("vpn.inAppAuth.enterEmailAddressDescription"),

    //% "By continuing, you agree to the <a href=\"terms-of-service\">Terms of Service</a> and the <a href=\"privacy-notice\">Privacy Notice</a>."
    //: Do not remove or translate the markup '<a href="terms-of-service">', '<a href="privacy-notice">', '</a>'.
    QT_TRID_NOOP("vpn.inAppAuth.termsOfServiceAndPrivacyDisclaimer"),

    //% "We’ve resent your code to your email."
    //: User has requested to send a new email containing the 6-digit pin to confirm their email address.
    QT_TRID_NOOP("vpn.inAppAuth.emailTokenResentAlert"),

    //% "Waiting for sign in and subscription confirmation…"
    //: Headline on loading screen
    QT_TRID_NOOP("vpn.inAppAuth.waitingForSignIn"),

    //% "Please wait…"
    //: Headline on loading screen
    QT_TRID_NOOP("vpn.inAppAuth.pleaseWait"),

    //% "Create a password"
    //: User has tried to log in using an SSO-linked account that does not have a password. The user needs to log in to their Mozilla Account to set a password before proceeding. This is the header on the error screen.
    QT_TRID_NOOP("vpn.inAppAuth.ssoInstructionHeader"),

    //% "To finish setting up your Mozilla account, create a password in your account settings:"
    //: User has tried to log in using an SSO-linked account that does not have a password. The user needs to log in to their Mozilla Account to set a password before proceeding.
    QT_TRID_NOOP("vpn.inAppAuth.ssoInstructionLine1"),

    //% "1. Go to <a href=\"open-account\">Create password</a> in your Mozilla account settings."
    //: User has tried to log in using an SSO-linked account that does not have a password. The user needs to log in to their Mozilla Account to set a password before proceeding. Do not remove or translate the markup '<a href="open-account">'.
    QT_TRID_NOOP("vpn.inAppAuth.ssoInstructionLine2a"),

    //% "2. Create a password."
    //: User has tried to log in using an SSO-linked account that does not have a password. The user needs to log in to their Mozilla Account to set a password before proceeding.
    QT_TRID_NOOP("vpn.inAppAuth.ssoInstructionLine3"),

    //% "When your password is created, return to this screen and continue to sign in to Mozilla VPN."
    //: User has tried to log in using an SSO-linked account that does not have a password. The user needs to log in to their Mozilla Account to set a password before proceeding.
    QT_TRID_NOOP("vpn.inAppAuth.ssoInstructionLine4"),

    //% "Check your email"
    //: User has tried to log into a Mozilla account before setting their password, which happens after email verification. This is the header on the error screen.
    QT_TRID_NOOP("vpn.inAppAuth.stubAccountVerificationHeader"),

    //% "We’ve sent an email to %1 with the verification link. Please follow the directions to set up your password and finish setting up your account."
    //: User has tried to log into a Mozilla account before setting their password, which happens after email verification. %1 is the email address associated with the account.
    QT_TRID_NOOP("vpn.inAppAuth.stubAccountVerificationInstruction"),

    //% "Continue to sign in"
    //: Button a user clicks after updating their Mozilla account settings so that they can re-attempt sign-in
    QT_TRID_NOOP("vpn.inAppAuth.continueToSignIn"),

    //% "Continue"
    QT_TRID_NOOP("vpn.deleteAccount.authButtonLabel"),

    //% "Delete Mozilla account"
    QT_TRID_NOOP("vpn.deleteAccount.headline2"),

    //% "Your Mozilla account (%1) is connected to Mozilla products that keep you secure and productive on the web. Please acknowledge that by deleting your account:"
    //: %1 is the email address that is associated with the current account
    QT_TRID_NOOP("vpn.deleteAccount.subheadline2"),

    //% "Any paid subscriptions you have will be cancelled (Except Pocket)"
    //: Text that belongs to a checkbox that the user has to check in order before they can delete their account.
    QT_TRID_NOOP("vpn.deleteAccount.optionDescriptionOne"),

    //% "You may lose saved information and features within Mozilla products"
    //: Text that belongs to a checkbox that the user has to check in order before they can delete their account.
    QT_TRID_NOOP("vpn.deleteAccount.optionDescriptionTwo"),

    //% "Reactivating with this email may not restore your saved information"
    //: Text that belongs to a checkbox that the user has to check in order before they can delete their account.
    QT_TRID_NOOP("vpn.deleteAccount.optionDescriptionThree"),

    //% "Any extensions and themes that you’ve published to addons.mozilla.org will be deleted"
    //: Text that belongs to a checkbox that the user has to check in order before they can delete their account.
    QT_TRID_NOOP("vpn.deleteAccount.optionDescriptionFour"),

    //% "Delete account"
    QT_TRID_NOOP("vpn.deleteAccount.buttonLabel"),

    //% "%1 of %2"
    //: Used by screen readers to explain to users which item they are currently focused on, and how many items there are total in a group.
    //: For example, given a list with 15 items. If a user selects the 3rd item, we want the screen reader to read out "3 of 15".
    //: The %1 represents the index of the currently focused item by the screen reader.
    //: The %2 represents the total number of items in the group.
    QT_TRID_NOOP("vpn.accessibility.currentIndexFocusedOfTotalItemsInGroup"),

    //% "Selected item: %1"
    //: Used by screen readers to denote that a particular item is currently selected.
    //: For example, given a segmented control with 2 items, where the first item is currently selected. We want the screen reader to read out "Selected, <item name>".
    //: The %1 represents the name of the selected item.
    QT_TRID_NOOP("vpn.accessibility.selectedAndItemName"),

    //% "Selected"
    //: Used by screen reader to indicate that a user action selected an item.
    QT_TRID_NOOP("vpn.accessibility.selected"),

    //% "Sign up to start your 7-day free trial."
    //: This string appears above the 'Sign up' button on mobile onboarding views
    QT_TRID_NOOP("vpn.freeTrials.startYourFreeTrial"),

    //% "7-day free trial"
    QT_TRID_NOOP("vpn.freeTrials.freeTrialLabel"),

    //% "Account"
    //: Menu title for a view with details on the user's account.
    QT_TRID_NOOP("vpn.subscriptionManagement.sectionTitle"),

    //% "Subscription summary"
    //: Headline for a list with information on the subscription plan of the user.
    QT_TRID_NOOP("vpn.subscriptionManagement.summaryHeadline"),

    //% "Payment Information"
    //: Headline for a list with information on the payment information the user provided for their subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.paymentHeadline"),

    //% "Subscription plan"
    //: Label for the selected subscription plan the user currently is subscribed to.
    QT_TRID_NOOP("vpn.subscriptionManagement.planLabel"),

    //% "%1 Monthly"
    //: The %1 represents a localized currency string.
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueMonthly"),

    //% "%1 Half-yearly"
    //: The %1 represents a localized currency string.
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueHalfYearly"),

    //% "%1 Yearly"
    //: The %1 represents a localized currency string.
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueYearly"),

    //% "%1 Monthly + tax"
    //: The %1 represents a localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueMonthlyPlusTax"),

    //% "%1 Half-yearly + tax"
    //: The %1 represents a localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueHalfYearlyPlusTax"),

    //% "%1 Yearly + tax"
    //: The %1 represents a localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planValueYearlyPlusTax"),

    //% "Monthly plan: %1"
    //: Price for a monthly subscription. %1 represents the localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planMonthly"),

    //% "%1/month"
    //: Price for a monthly subscription without tax. %1 represents the localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planMonthlyWithoutTax"),

    //% "%1/month + tax"
    //: Price for a monthly subscription plus tax. %1 represents the localized currency string
    QT_TRID_NOOP("vpn.subscriptionManagement.planMonthlyPlusTax"),

    //% "Status"
    //: Label for the current status of the subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.statusLabel"),

    //% "Inactive"
    //: Text for a label that indicates an inactive subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.statusInactive"),

    //% "Active"
    //: Text for a label that indicates an active subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.statusActive"),

    //% "Next billed"
    //: Label for the upcoming date on which the user will be billed for their subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.nextLabel"),

    //% "Active since"
    //: Label for the date on which the subscription was activated.
    QT_TRID_NOOP("vpn.subscriptionManagement.activatedLabel"),

    //% "Expires"
    //: Label for the upcoming date on which the subscription will expire.
    QT_TRID_NOOP("vpn.subscriptionManagement.expiresLabel"),

    //% "%1 subscription"
    //: The %1 represents the subscription platform.
    //: Values for %1 could be “Apple” or “Google” for example.
    QT_TRID_NOOP("vpn.subscriptionManagement.subscriptionPlatformLabel"),

    //% "Card ending in %1"
    //: The %1 represents the last four digits of a credit card.
    QT_TRID_NOOP("vpn.subscriptionManagement.cardLast4"),

    //% "Expires"
    //: Label for the date on which the payment method expires.
    QT_TRID_NOOP("vpn.subscriptionManagement.cardExpiresLabel"),

    //% "Manage subscription"
    //: Label for a button that will take the user to a view where they can manage their subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.manageSubscriptionButton"),

    //% "Change plan"
    //: Label for a button that will open the upgrade subscription flow.
    QT_TRID_NOOP("vpn.subscriptionManagement.upgradeToAnnualButton"),

    //% "Save 50% on an annual plan"
    //: Block of text appearing beside a button to upgrade subscription.
    QT_TRID_NOOP("vpn.subscriptionManagement.upgradeToAnnual"),

    //% "Manage account"
    QT_TRID_NOOP("vpn.subscriptionManagement.manageAccount"),

    //% "American Express"
    QT_TRID_NOOP("vpn.paymentMethods.amex"),

    //% "Diners Club"
    QT_TRID_NOOP("vpn.paymentMethods.diners"),

    //% "Discover"
    QT_TRID_NOOP("vpn.paymentMethods.discover"),

    //% "JCB"
    QT_TRID_NOOP("vpn.paymentMethods.jcb"),

    //% "Apple subscription"
    QT_TRID_NOOP("vpn.paymentMethods.iapApple"),

    //% "Google subscription"
    QT_TRID_NOOP("vpn.paymentMethods.iapGoogle"),

    //% "Mastercard"
    QT_TRID_NOOP("vpn.paymentMethods.mastercard"),

    //% "PayPal"
    QT_TRID_NOOP("vpn.paymentMethods.paypal"),

    //% "UnionPay"
    QT_TRID_NOOP("vpn.paymentMethods.unionpay"),

    //% "Visa"
    QT_TRID_NOOP("vpn.paymentMethods.visa"),

    //% "Messages"
    QT_TRID_NOOP("vpn.inAppMessaging.menuTitle"),

    //% "Edit"
    QT_TRID_NOOP("vpn.inAppMessaging.editButton"),

    //% "Search messages"
    QT_TRID_NOOP("vpn.inAppMessaging.searchBarPlaceholderText"),

    //% "No messages"
    QT_TRID_NOOP("vpn.inAppMessaging.emptyStateTitle"),

    //% "You’re up to date!"
    QT_TRID_NOOP("vpn.inAppMessaging.emptyStateDescription"),

    //% "Yesterday"
    QT_TRID_NOOP("vpn.inAppMessaging.dateTimeYesterday"),

    //% "Delete message"
    //: An action to delete a message from the users inbox
    QT_TRID_NOOP("vpn.inAppMessaging.deleteMessage"),

    //% "Warning"
    //: A badge shown in a message signifying that this is a warning message
    QT_TRID_NOOP("vpn.inAppMessaging.warningBadge"),

    //% "Critical"
    //: A badge shown in a message signifying that this is an important message
    QT_TRID_NOOP("vpn.inAppMessaging.criticalBadge"),

    //% "New update"
    //: A badge shown in a message signifying an update to the app is available
    QT_TRID_NOOP("vpn.inAppMessaging.newUpdateBadge"),

    //% "What’s new"
    //: A badge shown in a message signifying that this message contains information about what is new in the product
    QT_TRID_NOOP("vpn.inAppMessaging.whatsNewBadge"),

    //% "Survey"
    //: A badge shown in a message signifying that this message contains a survey
    QT_TRID_NOOP("vpn.inAppMessaging.surveyBadge"),

    //% "Subscription"
    //: A badge shown in a message signifying that this message contains information about the user's subscription
    QT_TRID_NOOP("vpn.inAppMessaging.subscriptionBadge"),

    //% "Extension"
    //: A badge shown in a message signifying that this message contains information about a Firefox browser extension
    QT_TRID_NOOP("vpn.inAppMessaging.extensionBadge"),

    //% "%1 out of %2 devices added"
    //: Label at the top of the "Devices" setting screen indicating the number of devices registered to the users account (1st arg) vs the max limit of devices available for their account (2nd arg)
    QT_TRID_NOOP("vpn.devices.countLabel"),

    //% "Device not added"
    //: Title of the "device limit" view stating that the device has not yet been added to the list of active devices (because we are at the device limit)
    QT_TRID_NOOP("vpn.devices.limitTitle"),

    //% "You’re using VPN on 5 devices. To add another device, please remove one."
    //: Description of the "device limit" view describing why the device has not yet been added to the list of active devices (because we are at the device limit)
    QT_TRID_NOOP("vpn.devices.limitDescription2"),

    //% "Removing device…"
    //: Title for "Removing device" screen
    QT_TRID_NOOP("vpn.devices.removingTitle"),

    //% "Current Device"
    //: Device list item description for the current device
    QT_TRID_NOOP("vpn.devices.listItemDescriptionCurrent"),

    //% "Added less than an hour ago"
    //: Device list item description for a device added less than 1 hour ago
    QT_TRID_NOOP("vpn.devices.listItemDescriptionAddedOneHourAgo"),

    //% "Added a few hours ago (%1)"
    //: Device list item description for a device added a few hours ago. %1 is the number of hours.
    QT_TRID_NOOP("vpn.devices.listItemDescriptionAddedFewHoursAgo"),

    //% "Added %1 days ago"
    //: Device list item description for a device added days ago. %1 is the number of days.
    QT_TRID_NOOP("vpn.devices.listItemDescriptionAddedDaysAgo"),

    //% "Remove %1"
    //: Label used for accessibility on the button to remove a device. %1 is the name of the device.
    QT_TRID_NOOP("vpn.devices.listItemRemoveDeviceAccessibility"),

    //% "Remove device?"
    //: Title for the Remove Device popup
    QT_TRID_NOOP("vpn.devices.removePopupTitle"),

    //% "Please confirm you would like to remove %1."
    //: Description for the Remove Device popup. %1 is the name of the device being removed. The name is displayed on purpose on a new line."
    QT_TRID_NOOP("vpn.devices.removePopupDescription"),

    //% "Remove"
    //: Label for the primary button for the Remove Device poup
    QT_TRID_NOOP("vpn.devices.removePopupPrimaryButtonLabel"),

    //% "Devices"
    //: Title for the menu bar when viewing the devices or device limit pages
    QT_TRID_NOOP("vpn.devices.sectionTitle"),

    //% "Custom DNS settings"
    //: Title label for the custom dns help sheet
    QT_TRID_NOOP("vpn.helpSheets.dnsTitle"),

    //% "What is a custom DNS?"
    //: Header label for the custom dns help sheet
    QT_TRID_NOOP("vpn.helpSheets.dnsHeader"),

    //% "Whenever you connect to a website, a DNS (domain name system) first turns the domain name (e.g. www.mozilla.org) into an IP address that allows your internet traffic to reach that destination."
    //: Body text for the custom dns help sheet
    QT_TRID_NOOP("vpn.helpSheets.dnsBody1"),

    //% "Mozilla VPN allows you to choose a custom DNS server if you prefer. If you use one, you won’t be able to use other privacy features in the VPN like tracker blocking."
    //: Body text for the custom dns help sheet
    QT_TRID_NOOP("vpn.helpSheets.dnsBody2"),

    //% "Privacy features"
    //: Title label for the privacy features help sheet
    QT_TRID_NOOP("vpn.helpSheets.privacyTitle"),

    //% "What can privacy features do for me?"
    //: Header label for the privacy features help sheet
    QT_TRID_NOOP("vpn.helpSheets.privacyHeader"),

    //% "Privacy features give you greater control over the types of content you see, helping you stay safe online."
    //: Body label for the privacy features help sheet
    QT_TRID_NOOP("vpn.helpSheets.privacyBody1"),

    //% "If you activate these features, they’ll overwrite any custom DNS you’re using. These protections are not a substitute for taking other security precautions — for example, while blocking malware you should still avoid downloading attachments in strange emails."
    //: Body label for the privacy features help sheet
    QT_TRID_NOOP("vpn.helpSheets.privacyBody2"),

    //% "Excluded apps"
    //: Title label for the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsTitle"),

    //% "What are excluded apps?"
    //: Header label for the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsHeader"),

    //% "Excluded apps let you turn off VPN protection for specific apps, without turning off VPN protection for your entire device."
    //: Body label for the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsBody1"),

    //% "When you exclude an app, it will have access to your IP address and approximate location."
    //: Body label for the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsBody2"),

    //% "You can use the settings under Settings > Privacy features to block ads, block trackers, and block malware, even on excluded apps."
    //: Body label for the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsBody3"),

    //% "Open “Privacy features”"
    //: Label for button that opens the "Privacy features" view from the excluded apps help sheet
    QT_TRID_NOOP("vpn.helpSheets.excludedAppsCTA"),

    //% "Device management"
    //: Title label for the devices help sheet
    QT_TRID_NOOP("vpn.helpSheets.devicesTitle"),

    //% "Adding and removing devices"
    //: Header label for the devices help sheet
    QT_TRID_NOOP("vpn.helpSheets.devicesHeader"),

    //% "Adding a new device to your subscription is easy: just download and log in to Mozilla VPN on that device."
    //: Body label for the devices help sheet
    QT_TRID_NOOP("vpn.helpSheets.devicesBody1"),

    //% "To remove one of your added devices, select “Edit” on this screen and use the trash icon to remove the device you no longer want to use Mozilla VPN on."
    //: Body label for the devices help sheet
    QT_TRID_NOOP("vpn.helpSheets.devicesBody2"),

    //% "Location selection"
    //: Title label for the location selection help sheet
    QT_TRID_NOOP("vpn.helpSheets.locationTitle"),

    //% "Single-hop vs multi-hop"
    //: Header label for the location selection help sheet
    QT_TRID_NOOP("vpn.helpSheets.locationHeader"),

    //% "If you want maximum speed and reliability, choose one of the recommended locations in the “Single-hop” toggle. We’ve sorted them based on expected performance."
    //: Body label for the location selection help sheet
    QT_TRID_NOOP("vpn.helpSheets.locationBody1"),

    //% "If you want to add more privacy, switch to “Multi-hop” and add an additional server location. Multi-hop VPN routes your traffic through two server locations instead of one for extra security and privacy. This may also slow down your connection a bit."
    //: Body label for the location selection help sheet
    QT_TRID_NOOP("vpn.helpSheets.locationBody2"),

    //% "Reset VPN"
    //: Label for button that takes the user to the factory reset flow
    QT_TRID_NOOP("vpn.resetSettings.resetLabel"),

    //% "Reset Mozilla VPN"
    //: Title of the screen where users go to reset the VPN to factory settings
    QT_TRID_NOOP("vpn.resetSettings.title"),

    //% "This will reset all VPN settings, including:"
    //: Body content of the screen where users go to reset the VPN to factory settings
    QT_TRID_NOOP("vpn.resetSettings.body1"),

    //% "Preferences"
    //: Item in a bulleted list denoting what will be deleted if the user opts to factory reset the client
    QT_TRID_NOOP("vpn.resetSettings.listItemPreferences"),

    //% "Resetting the VPN will sign you out, but your account will not be deleted."
    //: Body content of the screen where users go to reset the VPN to factory settings
    QT_TRID_NOOP("vpn.resetSettings.body2"),

    //% "Reset VPN"
    //: Label for button that initiates a restore to factory settings
    QT_TRID_NOOP("vpn.resetSettings.resetButtonLabel"),

    //% "Confirm reset"
    //: Title of the modal where users can confirm they want to restore back to factory settings
    QT_TRID_NOOP("vpn.resetSettings.confirmResetModalTitle"),

    //% "Reset Mozilla VPN settings? This can’t be undone."
    //: Body of the modal where users can confirm they want to restore back to factory settings
    QT_TRID_NOOP("vpn.resetSettings.confirmResetModalBody"),

    //% "Reset and quit"
    //: Label for button that finalizes a restore to factory settings
    QT_TRID_NOOP("vpn.resetSettings.confirmResetModalResetButtonLabel"),

    //% "Expand"
    //: Action used in the context of an expandable/collapsible card component
    QT_TRID_NOOP("vpn.global.expand"),

    //% "Collapse"
    //: Action used in the context of an expandable/collapsible card component
    QT_TRID_NOOP("vpn.global.collapse"),

    //% "VPN User"
    //: Fallback string for users who have not specified a Display Name.
    QT_TRID_NOOP("vpn.global.vpnUser"),

    //% "Discover now"
    //: Label for button used in intro modals to discover new features.
    QT_TRID_NOOP("vpn.global.discoverNow"),

    //% "Go back"
    //: Label for button used in intro modals to return to the app.
    QT_TRID_NOOP("vpn.global.goBack"),

    //% "Continue"
    //: Label for button used to proceed with an action
    QT_TRID_NOOP("vpn.global.continue"),

    //% "No thanks"
    //: Label for button used to not proceed with an action
    QT_TRID_NOOP("vpn.global.noThanks"),

    //% "Copied!"
    //: Confirmation banner displayed after clicking a button to copy something.
    QT_TRID_NOOP("vpn.global.copied"),

    //% "Paste"
    //: Label for button to paste value from clipboard into input
    QT_TRID_NOOP("vpn.global.paste"),

    //% "Close"
    //: Accessible label for close button
    QT_TRID_NOOP("vpn.global.close"),

    //% "Sign out"
    //: Link title
    QT_TRID_NOOP("vpn.global.signOut"),

    //% "No internet connection"
    //: Status alert text
    QT_TRID_NOOP("vpn.global.noInternetConnection"),

    //% "Copy"
    //: Accessible button label
    QT_TRID_NOOP("vpn.global.copy"),

    //% "Clear"
    //: Accessible label for clear button
    QT_TRID_NOOP("vpn.global.clear"),

    //% "Next"
    //: Label for button used to proceed
    QT_TRID_NOOP("vpn.global.next"),

    //% "Get started"
    //: Label for a button used to begin something / proceed
    QT_TRID_NOOP("vpn.global.getStarted"),

    //% "Help"
    //: Action taken that will help the user
    QT_TRID_NOOP("vpn.global.help"),

    //% "Learn more"
    //: Label for link to allow the user to learn more about a topic
    QT_TRID_NOOP("vpn.global.learnMore"),

    //% "Help Center"
    QT_TRID_NOOP("vpn.getHelp.helpCenter"),

    //% "View Logs"
    //: Label for a clickable item in the Get-Help view
    QT_TRID_NOOP("vpn.getHelp.viewLogs"),

    //% "Help"
    QT_TRID_NOOP("vpn.getHelp.linkText"),

    //% "Developer options"
    //: Button label
    QT_TRID_NOOP("vpn.getHelp.developerOptions"),

    //% "Mozilla VPN"
    QT_TRID_NOOP("vpn.product.name"),

    //% "A fast, secure and easy to use VPN. Built by the makers of Firefox."
    QT_TRID_NOOP("vpn.product.description"),

    //% "Home"
    //: Label for the tab on the navigation bar that takes the user to the home screen
    QT_TRID_NOOP("vpn.navBar.homeTab"),

    //% "Messages"
    //: Label for the tab on the navigation bar that takes the user to the messages inbox screen
    QT_TRID_NOOP("vpn.navBar.messagesTab"),

    //% "Settings"
    //: Label for the tab on the navigation bar that takes the user to the settings screen
    QT_TRID_NOOP("vpn.navBar.settingsTab"),

    //% "Bulgarian"
    QT_TRID_NOOP("languages.bg"),

    //% "Corsican"
    QT_TRID_NOOP("languages.co"),

    //% "Czech"
    QT_TRID_NOOP("languages.cs"),

    //% "Welsh"
    QT_TRID_NOOP("languages.cy"),

    //% "Danish"
    QT_TRID_NOOP("languages.da"),

    //% "German"
    QT_TRID_NOOP("languages.de"),

    //% "Lower Sorbian"
    QT_TRID_NOOP("languages.dsb"),

    //% "Greek"
    QT_TRID_NOOP("languages.el"),

    //% "English"
    QT_TRID_NOOP("languages.en"),

    //% "Canadian English"
    QT_TRID_NOOP("languages.en_CA"),

    //% "British English"
    QT_TRID_NOOP("languages.en_GB"),

    //% "Argentinian Spanish"
    QT_TRID_NOOP("languages.es_AR"),

    //% "Chilean Spanish"
    QT_TRID_NOOP("languages.es_CL"),

    //% "Spanish"
    QT_TRID_NOOP("languages.es_ES"),

    //% "Mexican Spanish"
    QT_TRID_NOOP("languages.es_MX"),

    //% "Persian"
    QT_TRID_NOOP("languages.fa"),

    //% "Finnish"
    QT_TRID_NOOP("languages.fi"),

    //% "French"
    QT_TRID_NOOP("languages.fr"),

    //% "Western Frisian"
    QT_TRID_NOOP("languages.fy_NL"),

    //% "Upper Sorbian"
    QT_TRID_NOOP("languages.hsb"),

    //% "Hungarian"
    QT_TRID_NOOP("languages.hu"),

    //% "Interlingua"
    QT_TRID_NOOP("languages.ia"),

    //% "Indonesian"
    QT_TRID_NOOP("languages.id"),

    //% "Icelandic"
    QT_TRID_NOOP("languages.is"),

    //% "Italian"
    QT_TRID_NOOP("languages.it"),

    //% "Japanese"
    QT_TRID_NOOP("languages.ja"),

    //% "Lao"
    QT_TRID_NOOP("languages.lo"),

    //% "Korean"
    QT_TRID_NOOP("languages.ko"),

    //% "Dutch"
    QT_TRID_NOOP("languages.nl"),

    //% "Occitan"
    QT_TRID_NOOP("languages.oc"),

    //% "Punjabi"
    QT_TRID_NOOP("languages.pa_IN"),

    //% "Polish"
    QT_TRID_NOOP("languages.pl"),

    //% "Portuguese"
    QT_TRID_NOOP("languages.pt_BR"),

    //% "European Portuguese"
    QT_TRID_NOOP("languages.pt_PT"),

    //% "Russian"
    QT_TRID_NOOP("languages.ru"),

    //% "Slovak"
    QT_TRID_NOOP("languages.sk"),

    //% "Slovenian"
    QT_TRID_NOOP("languages.sl"),

    //% "Albanian"
    QT_TRID_NOOP("languages.sq"),

    //% "Swedish"
    QT_TRID_NOOP("languages.sv_SE"),

    //% "Thai"
    QT_TRID_NOOP("languages.th"),

    //% "Turkish"
    QT_TRID_NOOP("languages.tr"),

    //% "Ukrainian"
    QT_TRID_NOOP("languages.uk"),

    //% "Vietnamese"
    QT_TRID_NOOP("languages.vi"),

    //% "Simplified Chinese"
    QT_TRID_NOOP("languages.zh_CN"),

    //% "Traditional Chinese"
    QT_TRID_NOOP("languages.zh_TW"),

    //% "Albania"
    QT_TRID_NOOP("servers.al"),

    //% "Tirana"
    QT_TRID_NOOP("servers.Tirana"),

    //% "Australia"
    QT_TRID_NOOP("servers.au"),

    //% "Adelaide"
    QT_TRID_NOOP("servers.Adelaide"),

    //% "Brisbane"
    QT_TRID_NOOP("servers.Brisbane"),

    //% "Melbourne"
    QT_TRID_NOOP("servers.Melbourne"),

    //% "Perth"
    QT_TRID_NOOP("servers.Perth"),

    //% "Sydney"
    QT_TRID_NOOP("servers.Sydney"),

    //% "Belgium"
    QT_TRID_NOOP("servers.be"),

    //% "Brussels"
    QT_TRID_NOOP("servers.Brussels"),

    //% "Bulgaria"
    QT_TRID_NOOP("servers.bg"),

    //% "Sofia"
    QT_TRID_NOOP("servers.Sofia"),

    //% "Brazil"
    QT_TRID_NOOP("servers.br"),

    //% "Sao Paulo"
    QT_TRID_NOOP("servers.SaoPaulo"),

    //% "Canada"
    QT_TRID_NOOP("servers.ca"),

    //% "Calgary"
    QT_TRID_NOOP("servers.Calgary"),

    //% "Montreal"
    QT_TRID_NOOP("servers.Montreal"),

    //% "Toronto"
    QT_TRID_NOOP("servers.Toronto"),

    //% "Vancouver"
    QT_TRID_NOOP("servers.Vancouver"),

    //% "Switzerland"
    QT_TRID_NOOP("servers.ch"),

    //% "Zurich"
    QT_TRID_NOOP("servers.Zurich"),

    //% "Colombia"
    QT_TRID_NOOP("servers.co"),

    //% "Bogota"
    QT_TRID_NOOP("servers.Bogota"),

    //% "Czech Republic"
    QT_TRID_NOOP("servers.cz"),

    //% "Prague"
    QT_TRID_NOOP("servers.Prague"),

    //% "Germany"
    QT_TRID_NOOP("servers.de"),

    //% "Berlin"
    QT_TRID_NOOP("servers.Berlin"),

    //% "Dusseldorf"
    QT_TRID_NOOP("servers.Dusseldorf"),

    //% "Frankfurt"
    QT_TRID_NOOP("servers.Frankfurt"),

    //% "Denmark"
    QT_TRID_NOOP("servers.dk"),

    //% "Copenhagen"
    QT_TRID_NOOP("servers.Copenhagen"),

    //% "Estonia"
    QT_TRID_NOOP("servers.ee"),

    //% "Tallinn"
    QT_TRID_NOOP("servers.Tallinn"),

    //% "Spain"
    QT_TRID_NOOP("servers.es"),

    //% "Madrid"
    QT_TRID_NOOP("servers.Madrid"),

    //% "Finland"
    QT_TRID_NOOP("servers.fi"),

    //% "Helsinki"
    QT_TRID_NOOP("servers.Helsinki"),

    //% "France"
    QT_TRID_NOOP("servers.fr"),

    //% "Marseille"
    QT_TRID_NOOP("servers.Marseille"),

    //% "Paris"
    QT_TRID_NOOP("servers.Paris"),

    //% "United Kingdom"
    QT_TRID_NOOP("servers.gb"),

    //% "Glasgow"
    QT_TRID_NOOP("servers.Glasgow"),

    //% "London"
    QT_TRID_NOOP("servers.London"),

    //% "Manchester"
    QT_TRID_NOOP("servers.Manchester"),

    //% "Greece"
    QT_TRID_NOOP("servers.gr"),

    //% "Athens"
    QT_TRID_NOOP("servers.Athens"),

    //% "Hong Kong"
    QT_TRID_NOOP("servers.hk"),

    //% "Hong Kong"
    QT_TRID_NOOP("servers.HongKong"),

    //% "Croatia"
    QT_TRID_NOOP("servers.hr"),

    //% "Zagreb"
    QT_TRID_NOOP("servers.Zagreb"),

    //% "Hungary"
    QT_TRID_NOOP("servers.hu"),

    //% "Budapest"
    QT_TRID_NOOP("servers.Budapest"),

    //% "Republic of Ireland"
    QT_TRID_NOOP("servers.ie"),

    //% "Dublin"
    QT_TRID_NOOP("servers.Dublin"),

    //% "Israel"
    QT_TRID_NOOP("servers.il"),

    //% "Tel Aviv"
    QT_TRID_NOOP("servers.TelAviv"),

    //% "Italy"
    QT_TRID_NOOP("servers.it"),

    //% "Milan"
    QT_TRID_NOOP("servers.Milan"),

    //% "Japan"
    QT_TRID_NOOP("servers.jp"),

    //% "Osaka"
    QT_TRID_NOOP("servers.Osaka"),

    //% "Tokyo"
    QT_TRID_NOOP("servers.Tokyo"),

    //% "Latvia"
    QT_TRID_NOOP("servers.lv"),

    //% "Riga"
    QT_TRID_NOOP("servers.Riga"),

    //% "Mexico"
    QT_TRID_NOOP("servers.mx"),

    //% "Queretaro"
    QT_TRID_NOOP("servers.Queretaro"),

    //% "Netherlands"
    QT_TRID_NOOP("servers.nl"),

    //% "Amsterdam"
    QT_TRID_NOOP("servers.Amsterdam"),

    //% "Norway"
    QT_TRID_NOOP("servers.no"),

    //% "Oslo"
    QT_TRID_NOOP("servers.Oslo"),

    //% "Stavanger"
    QT_TRID_NOOP("servers.Stavanger"),

    //% "New Zealand"
    QT_TRID_NOOP("servers.nz"),

    //% "Auckland"
    QT_TRID_NOOP("servers.Auckland"),

    //% "Poland"
    QT_TRID_NOOP("servers.pl"),

    //% "Warsaw"
    QT_TRID_NOOP("servers.Warsaw"),

    //% "Portugal"
    QT_TRID_NOOP("servers.pt"),

    //% "Lisbon"
    QT_TRID_NOOP("servers.Lisbon"),

    //% "Romania"
    QT_TRID_NOOP("servers.ro"),

    //% "Bucharest"
    QT_TRID_NOOP("servers.Bucharest"),

    //% "Serbia"
    QT_TRID_NOOP("servers.rs"),

    //% "Belgrade"
    QT_TRID_NOOP("servers.Belgrade"),

    //% "Sweden"
    QT_TRID_NOOP("servers.se"),

    //% "Gothenburg"
    QT_TRID_NOOP("servers.Gothenburg"),

    //% "Stockholm"
    QT_TRID_NOOP("servers.Stockholm"),

    //% "Singapore"
    QT_TRID_NOOP("servers.sg"),

    //% "Singapore"
    QT_TRID_NOOP("servers.Singapore"),

    //% "Slovenia"
    QT_TRID_NOOP("servers.si"),

    //% "Ljubljana"
    QT_TRID_NOOP("servers.Ljubljana"),

    //% "Slovakia"
    QT_TRID_NOOP("servers.sk"),

    //% "Bratislava"
    QT_TRID_NOOP("servers.Bratislava"),

    //% "Ukraine"
    QT_TRID_NOOP("servers.ua"),

    //% "Kyiv"
    QT_TRID_NOOP("servers.Kyiv"),

    //% "United States of America"
    QT_TRID_NOOP("servers.us"),

    //% "Ashburn, VA"
    QT_TRID_NOOP("servers.Ashburn"),

    //% "Atlanta, GA"
    QT_TRID_NOOP("servers.Atlanta"),

    //% "Boston, MA"
    QT_TRID_NOOP("servers.Boston"),

    //% "Chicago, IL"
    QT_TRID_NOOP("servers.Chicago"),

    //% "Dallas, TX"
    QT_TRID_NOOP("servers.Dallas"),

    //% "Denver, CO"
    QT_TRID_NOOP("servers.Denver"),

    //% "Detroit, MI"
    QT_TRID_NOOP("servers.Detroit"),

    //% "Houston, TX"
    QT_TRID_NOOP("servers.Houston"),

    //% "Los Angeles, CA"
    QT_TRID_NOOP("servers.LosAngeles"),

    //% "Miami, FL"
    QT_TRID_NOOP("servers.Miami"),

    //% "New York, NY"
    QT_TRID_NOOP("servers.NewYork"),

    //% "Phoenix, AZ"
    QT_TRID_NOOP("servers.Phoenix"),

    //% "Raleigh, NC"
    QT_TRID_NOOP("servers.Raleigh"),

    //% "Salt Lake City, UT"
    QT_TRID_NOOP("servers.SaltLakeCity"),

    //% "San Jose, CA"
    QT_TRID_NOOP("servers.SanJose"),

    //% "Seattle, WA"
    QT_TRID_NOOP("servers.Seattle"),

    //% "Secaucus, NJ"
    QT_TRID_NOOP("servers.Secaucus"),

    //% "South Africa"
    QT_TRID_NOOP("servers.za"),

    //% "Johannesburg"
    QT_TRID_NOOP("servers.Johannesburg"),

    //% "Thailand"
    QT_TRID_NOOP("servers.th"),

    //% "Indonesia"
    QT_TRID_NOOP("servers.id"),

    //% "Chile"
    QT_TRID_NOOP("servers.cl"),

    //% "Austria"
    QT_TRID_NOOP("servers.at"),

    //% "Bangkok"
    QT_TRID_NOOP("servers.Bangkok"),

    //% "Barcelona"
    QT_TRID_NOOP("servers.Barcelona"),

    //% "Bordeaux"
    QT_TRID_NOOP("servers.Bordeaux"),

    //% "Jakarta"
    QT_TRID_NOOP("servers.Jakarta"),

    //% "McAllen, TX"
    QT_TRID_NOOP("servers.Mcallen"),

    //% "Santiago"
    QT_TRID_NOOP("servers.Santiago"),

    //% "Valencia"
    QT_TRID_NOOP("servers.Valencia"),

    //% "Vienna"
    QT_TRID_NOOP("servers.Vienna"),

    //% "Palermo"
    QT_TRID_NOOP("servers.Palermo"),

    //% "Turkey"
    QT_TRID_NOOP("servers.tr"),

    //% "Istanbul"
    QT_TRID_NOOP("servers.Istanbul"),

    //% "Peru"
    QT_TRID_NOOP("servers.pe"),

    //% "Lima"
    QT_TRID_NOOP("servers.Lima"),

    //% "Cyprus"
    QT_TRID_NOOP("servers.cy"),

    //% "Nicosia"
    QT_TRID_NOOP("servers.Nicosia"),

    //% "Malmö"
    QT_TRID_NOOP("servers.Malm"),

    //% "Nigeria"
    QT_TRID_NOOP("servers.ng"),

    //% "Lagos"
    QT_TRID_NOOP("servers.Lagos"),

    //% "Philippines"
    QT_TRID_NOOP("servers.ph"),

    //% "Manila"
    QT_TRID_NOOP("servers.Manila"),

    //% "Malaysia"
    QT_TRID_NOOP("servers.my"),

    //% "Kuala Lumpur"
    QT_TRID_NOOP("servers.KualaLumpur"),

    //% "Washington DC"
    QT_TRID_NOOP("servers.WashingtonDc"),


};

void I18nStrings::retranslate() {
    insert("ServersViewRecommendedRefreshLabel", qtTrId(_ids[ServersViewRecommendedRefreshLabel]));
    insert("ServersViewTabAllLabel", qtTrId(_ids[ServersViewTabAllLabel]));
    insert("ServersViewTabRecommendedLabel", qtTrId(_ids[ServersViewTabRecommendedLabel]));
    insert("ServersViewSearchPlaceholder", qtTrId(_ids[ServersViewSearchPlaceholder]));
    insert("ServersViewSearchNoResultsLabel", qtTrId(_ids[ServersViewSearchNoResultsLabel]));
    insert("ServersViewRecommendedRefreshlLoadingLabel", qtTrId(_ids[ServersViewRecommendedRefreshlLoadingLabel]));
    insert("ServersViewRecommendedRefreshLastUpdatedLabel", qtTrId(_ids[ServersViewRecommendedRefreshLastUpdatedLabel]));
    insert("ServersViewRecommendedRefreshLastUpdatedDisabledLabel", qtTrId(_ids[ServersViewRecommendedRefreshLastUpdatedDisabledLabel]));
    insert("ServersViewRecommendedRefreshLastUpdatedLabelYesterday", qtTrId(_ids[ServersViewRecommendedRefreshLastUpdatedLabelYesterday]));
    insert("ServersViewServerCityWithGoodConnection", qtTrId(_ids[ServersViewServerCityWithGoodConnection]));
    insert("ServersViewServerCityWithModerateConnection", qtTrId(_ids[ServersViewServerCityWithModerateConnection]));
    insert("ServersViewServerCityWithPoorConnection", qtTrId(_ids[ServersViewServerCityWithPoorConnection]));
    insert("ServersViewServerCityWithNoConnection", qtTrId(_ids[ServersViewServerCityWithNoConnection]));
    insert("ServersViewRecommendedEmptyLabel", qtTrId(_ids[ServersViewRecommendedEmptyLabel]));
    insert("LanguageViewSearchPlaceholder", qtTrId(_ids[LanguageViewSearchPlaceholder]));
    insert("LanguageViewSystemLanguageButtonTitle", qtTrId(_ids[LanguageViewSystemLanguageButtonTitle]));
    insert("LanguageViewSystemLanguageButtonDescription", qtTrId(_ids[LanguageViewSystemLanguageButtonDescription]));
    insert("SettingsDevTitle", qtTrId(_ids[SettingsDevTitle]));
    insert("SettingsDevShowOptionTitle", qtTrId(_ids[SettingsDevShowOptionTitle]));
    insert("SettingsDevShowOptionSubtitle", qtTrId(_ids[SettingsDevShowOptionSubtitle]));
    insert("SettingsDevUseStagingTitle", qtTrId(_ids[SettingsDevUseStagingTitle]));
    insert("SettingsDevUseStagingSubtitle", qtTrId(_ids[SettingsDevUseStagingSubtitle]));
    insert("SettingsDevRestartRequired", qtTrId(_ids[SettingsDevRestartRequired]));
    insert("SplittunnelErrorActivating", qtTrId(_ids[SplittunnelErrorActivating]));
    insert("SplittunnelMissingAppActionButton", qtTrId(_ids[SplittunnelMissingAppActionButton]));
    insert("SplittunnelMissingAppMultiple", qtTrId(_ids[SplittunnelMissingAppMultiple]));
    insert("SplittunnelMissingAppAddedOne", qtTrId(_ids[SplittunnelMissingAppAddedOne]));
    insert("SplittunnelInfoLinkText", qtTrId(_ids[SplittunnelInfoLinkText]));
    insert("SplittunnelInfoCardDescription2", qtTrId(_ids[SplittunnelInfoCardDescription2]));
    insert("MultiHopFeatureSingleHopToggleCTA", qtTrId(_ids[MultiHopFeatureSingleHopToggleCTA]));
    insert("MultiHopFeatureMultiHopToggleCTA", qtTrId(_ids[MultiHopFeatureMultiHopToggleCTA]));
    insert("MultiHopFeatureMultiHopEntryLocationHeader", qtTrId(_ids[MultiHopFeatureMultiHopEntryLocationHeader]));
    insert("MultiHopFeatureMultiHopExitLocationHeader", qtTrId(_ids[MultiHopFeatureMultiHopExitLocationHeader]));
    insert("MultiHopFeatureMultiHopInfoText", qtTrId(_ids[MultiHopFeatureMultiHopInfoText]));
    insert("MultiHopFeatureMultiHopConnectionsHeader", qtTrId(_ids[MultiHopFeatureMultiHopConnectionsHeader]));
    insert("MultiHopFeatureMultiHopArrowAltText", qtTrId(_ids[MultiHopFeatureMultiHopArrowAltText]));
    insert("MultiHopFeatureServerSearchResultsError", qtTrId(_ids[MultiHopFeatureServerSearchResultsError]));
    insert("MultiHopFeatureAccessibleNameRecentConnection", qtTrId(_ids[MultiHopFeatureAccessibleNameRecentConnection]));
    insert("InAppSupportWorkflowSupportNavLinkText", qtTrId(_ids[InAppSupportWorkflowSupportNavLinkText]));
    insert("InAppSupportWorkflowSupportEmailFieldLabel", qtTrId(_ids[InAppSupportWorkflowSupportEmailFieldLabel]));
    insert("InAppSupportWorkflowSupportEmailFieldPlaceholder", qtTrId(_ids[InAppSupportWorkflowSupportEmailFieldPlaceholder]));
    insert("InAppSupportWorkflowSupportConfirmEmailPlaceholder", qtTrId(_ids[InAppSupportWorkflowSupportConfirmEmailPlaceholder]));
    insert("InAppSupportWorkflowSupportFieldHeader", qtTrId(_ids[InAppSupportWorkflowSupportFieldHeader]));
    insert("InAppSupportWorkflowDropdownLabel", qtTrId(_ids[InAppSupportWorkflowDropdownLabel]));
    insert("InAppSupportWorkflowPaymentDropdownListItem", qtTrId(_ids[InAppSupportWorkflowPaymentDropdownListItem]));
    insert("InAppSupportWorkflowAccountDropdownListItem", qtTrId(_ids[InAppSupportWorkflowAccountDropdownListItem]));
    insert("InAppSupportWorkflowTechnicaDropdownListItem", qtTrId(_ids[InAppSupportWorkflowTechnicaDropdownListItem]));
    insert("InAppSupportWorkflowFeatureRequestDropdownListItem", qtTrId(_ids[InAppSupportWorkflowFeatureRequestDropdownListItem]));
    insert("InAppSupportWorkflowOtherDropdownListItem", qtTrId(_ids[InAppSupportWorkflowOtherDropdownListItem]));
    insert("InAppSupportWorkflowSubjectFieldPlaceholder", qtTrId(_ids[InAppSupportWorkflowSubjectFieldPlaceholder]));
    insert("InAppSupportWorkflowIssueFieldPlaceholder", qtTrId(_ids[InAppSupportWorkflowIssueFieldPlaceholder]));
    insert("InAppSupportWorkflowDisclaimerText", qtTrId(_ids[InAppSupportWorkflowDisclaimerText]));
    insert("InAppSupportWorkflowPrivacyNoticeLinkText", qtTrId(_ids[InAppSupportWorkflowPrivacyNoticeLinkText]));
    insert("InAppSupportWorkflowSupportPrimaryButtonText", qtTrId(_ids[InAppSupportWorkflowSupportPrimaryButtonText]));
    insert("InAppSupportWorkflowSupportSecondaryActionText", qtTrId(_ids[InAppSupportWorkflowSupportSecondaryActionText]));
    insert("InAppSupportWorkflowSupportResponseHeader", qtTrId(_ids[InAppSupportWorkflowSupportResponseHeader]));
    insert("InAppSupportWorkflowSupportResponseBody", qtTrId(_ids[InAppSupportWorkflowSupportResponseBody]));
    insert("InAppSupportWorkflowSupportResponseButton", qtTrId(_ids[InAppSupportWorkflowSupportResponseButton]));
    insert("InAppSupportWorkflowSupportErrorHeader", qtTrId(_ids[InAppSupportWorkflowSupportErrorHeader]));
    insert("InAppSupportWorkflowSupportErrorText", qtTrId(_ids[InAppSupportWorkflowSupportErrorText]));
    insert("InAppSupportWorkflowSupportErrorButton", qtTrId(_ids[InAppSupportWorkflowSupportErrorButton]));
    insert("InAppSupportWorkflowSupportErrorBrowserButton", qtTrId(_ids[InAppSupportWorkflowSupportErrorBrowserButton]));
    insert("NotSignedInGoogleGoogleModalHeader", qtTrId(_ids[NotSignedInGoogleGoogleModalHeader]));
    insert("NotSignedInGoogleGoogleModalBodyText", qtTrId(_ids[NotSignedInGoogleGoogleModalBodyText]));
    insert("NotSignedInGoogleGoogleModalLinkText", qtTrId(_ids[NotSignedInGoogleGoogleModalLinkText]));
    insert("MultiFxaAccountErrorFxaAccountErrorHeader", qtTrId(_ids[MultiFxaAccountErrorFxaAccountErrorHeader]));
    insert("MultiFxaAccountErrorMozAccountErrorText", qtTrId(_ids[MultiFxaAccountErrorMozAccountErrorText]));
    insert("MultiFxaAccountErrorVisitOurHelpCenter", qtTrId(_ids[MultiFxaAccountErrorVisitOurHelpCenter]));
    insert("GenericPurchaseErrorGenericPurchaseErrorHeader", qtTrId(_ids[GenericPurchaseErrorGenericPurchaseErrorHeader]));
    insert("GenericPurchaseErrorGenericPurchaseErrorText", qtTrId(_ids[GenericPurchaseErrorGenericPurchaseErrorText]));
    insert("GenericPurchaseErrorGenericPurchaseErrorButton", qtTrId(_ids[GenericPurchaseErrorGenericPurchaseErrorButton]));
    insert("RestorePurchaseRestorePurchaseButton", qtTrId(_ids[RestorePurchaseRestorePurchaseButton]));
    insert("RestorePurchaseGenericPurchaseErrorRestorePurchaseGenericPurchaseErrorText", qtTrId(_ids[RestorePurchaseGenericPurchaseErrorRestorePurchaseGenericPurchaseErrorText]));
    insert("RestorePurchaseExpiredErrorRestorePurchaseExpiredErrorText2", qtTrId(_ids[RestorePurchaseExpiredErrorRestorePurchaseExpiredErrorText2]));
    insert("RestorePurchaseInUseErrorRestorePurchaseInUseErrorText2", qtTrId(_ids[RestorePurchaseInUseErrorRestorePurchaseInUseErrorText2]));
    insert("PurchaseWebTitle", qtTrId(_ids[PurchaseWebTitle]));
    insert("PurchaseWebMessage", qtTrId(_ids[PurchaseWebMessage]));
    insert("PurchaseWebInProgress2", qtTrId(_ids[PurchaseWebInProgress2]));
    insert("PurchaseSubscriptionOption", qtTrId(_ids[PurchaseSubscriptionOption]));
    insert("PurchasePercentSaved", qtTrId(_ids[PurchasePercentSaved]));
    insert("PurchaseSubscribeNow", qtTrId(_ids[PurchaseSubscribeNow]));
    insert("NetworkSettingsMultihopTitle", qtTrId(_ids[NetworkSettingsMultihopTitle]));
    insert("CaptivePortalAlertTitle", qtTrId(_ids[CaptivePortalAlertTitle]));
    insert("CaptivePortalAlertHeader", qtTrId(_ids[CaptivePortalAlertHeader]));
    insert("CaptivePortalAlertActionPreActivation", qtTrId(_ids[CaptivePortalAlertActionPreActivation]));
    insert("CaptivePortalAlertActionPostActivation", qtTrId(_ids[CaptivePortalAlertActionPostActivation]));
    insert("CaptivePortalAlertButtonTextPreActivation", qtTrId(_ids[CaptivePortalAlertButtonTextPreActivation]));
    insert("CaptivePortalAlertButtonTextPostActivation", qtTrId(_ids[CaptivePortalAlertButtonTextPostActivation]));
    insert("NotificationsCaptivePortalBlockTitle", qtTrId(_ids[NotificationsCaptivePortalBlockTitle]));
    insert("NotificationsCaptivePortalBlockMessage2", qtTrId(_ids[NotificationsCaptivePortalBlockMessage2]));
    insert("NotificationsCaptivePortalUnblockTitle", qtTrId(_ids[NotificationsCaptivePortalUnblockTitle]));
    insert("NotificationsCaptivePortalUnblockMessage2", qtTrId(_ids[NotificationsCaptivePortalUnblockMessage2]));
    insert("NotificationsConnectionFailedTitle", qtTrId(_ids[NotificationsConnectionFailedTitle]));
    insert("NotificationsConnectionFailedMessage", qtTrId(_ids[NotificationsConnectionFailedMessage]));
    insert("NotificationsSubscriptionNotFound", qtTrId(_ids[NotificationsSubscriptionNotFound]));
    insert("NotificationsUnsecuredNetworkTitle", qtTrId(_ids[NotificationsUnsecuredNetworkTitle]));
    insert("NotificationsUnsecuredNetworkMessage", qtTrId(_ids[NotificationsUnsecuredNetworkMessage]));
    insert("NotificationsVPNConnectedTitle", qtTrId(_ids[NotificationsVPNConnectedTitle]));
    insert("NotificationsVPNConnectedMessages", qtTrId(_ids[NotificationsVPNConnectedMessages]));
    insert("NotificationsVPNMultihopConnectedMessages", qtTrId(_ids[NotificationsVPNMultihopConnectedMessages]));
    insert("NotificationsVPNDisconnectedTitle", qtTrId(_ids[NotificationsVPNDisconnectedTitle]));
    insert("NotificationsVPNDisconnectedMessage", qtTrId(_ids[NotificationsVPNDisconnectedMessage]));
    insert("NotificationsVPNMultihopDisconnectedMessage", qtTrId(_ids[NotificationsVPNMultihopDisconnectedMessage]));
    insert("NotificationsVPNSwitchedServersTitle", qtTrId(_ids[NotificationsVPNSwitchedServersTitle]));
    insert("NotificationsVPNSwitchedServersMessage", qtTrId(_ids[NotificationsVPNSwitchedServersMessage]));
    insert("SystrayHide", qtTrId(_ids[SystrayHide]));
    insert("SystrayShow", qtTrId(_ids[SystrayShow]));
    insert("SystrayStatusConnectedTo", qtTrId(_ids[SystrayStatusConnectedTo]));
    insert("SystrayStatusConnectTo", qtTrId(_ids[SystrayStatusConnectTo]));
    insert("SystrayStatusConnectingTo", qtTrId(_ids[SystrayStatusConnectingTo]));
    insert("SystrayStatusDisconnectingFrom", qtTrId(_ids[SystrayStatusDisconnectingFrom]));
    insert("SystrayLocation2", qtTrId(_ids[SystrayLocation2]));
    insert("SystrayDisconnect", qtTrId(_ids[SystrayDisconnect]));
    insert("SystrayHelp", qtTrId(_ids[SystrayHelp]));
    insert("SystrayPreferences", qtTrId(_ids[SystrayPreferences]));
    insert("SystrayQuit", qtTrId(_ids[SystrayQuit]));
    insert("SettingsPrivacySettings", qtTrId(_ids[SettingsPrivacySettings]));
    insert("SettingsAppExclusionTitle", qtTrId(_ids[SettingsAppExclusionTitle]));
    insert("SettingsDnsSettings", qtTrId(_ids[SettingsDnsSettings]));
    insert("SettingsPreferencesSettings", qtTrId(_ids[SettingsPreferencesSettings]));
    insert("SettingsShareTechnicalDataDescription", qtTrId(_ids[SettingsShareTechnicalDataDescription]));
    insert("SettingsStartAtBootTitle", qtTrId(_ids[SettingsStartAtBootTitle]));
    insert("SettingsStartAtBootSubtitle", qtTrId(_ids[SettingsStartAtBootSubtitle]));
    insert("SettingsCrashOptInDescription", qtTrId(_ids[SettingsCrashOptInDescription]));
    insert("SettingsPrivacyCard", qtTrId(_ids[SettingsPrivacyCard]));
    insert("SettingsPrivacyAdblockTitle", qtTrId(_ids[SettingsPrivacyAdblockTitle]));
    insert("SettingsPrivacyAdblockBody", qtTrId(_ids[SettingsPrivacyAdblockBody]));
    insert("SettingsPrivacyTrackerTitle", qtTrId(_ids[SettingsPrivacyTrackerTitle]));
    insert("SettingsPrivacyTrackerBody", qtTrId(_ids[SettingsPrivacyTrackerBody]));
    insert("SettingsPrivacyMalwareTitle", qtTrId(_ids[SettingsPrivacyMalwareTitle]));
    insert("SettingsPrivacyMalwareBody2", qtTrId(_ids[SettingsPrivacyMalwareBody2]));
    insert("SettingsDnsSettingsStandardDNSTitle", qtTrId(_ids[SettingsDnsSettingsStandardDNSTitle]));
    insert("SettingsDnsSettingsStandardDNSBody", qtTrId(_ids[SettingsDnsSettingsStandardDNSBody]));
    insert("SettingsDnsSettingsCustomDNSTitle", qtTrId(_ids[SettingsDnsSettingsCustomDNSTitle]));
    insert("SettingsDnsSettingsCustomDNSBody", qtTrId(_ids[SettingsDnsSettingsCustomDNSBody]));
    insert("SettingsDnsSettingsCustomDNSError", qtTrId(_ids[SettingsDnsSettingsCustomDNSError]));
    insert("SettingsDnsSettingsWarning", qtTrId(_ids[SettingsDnsSettingsWarning]));
    insert("SettingsDnsSettingsInputPlaceholder", qtTrId(_ids[SettingsDnsSettingsInputPlaceholder]));
    insert("SettingsDnsSettingsDisconnectWarning", qtTrId(_ids[SettingsDnsSettingsDisconnectWarning]));
    insert("SettingsAppExclusionClearAllApps", qtTrId(_ids[SettingsAppExclusionClearAllApps]));
    insert("SettingsReauthTitle", qtTrId(_ids[SettingsReauthTitle]));
    insert("SettingsReauthDescription", qtTrId(_ids[SettingsReauthDescription]));
    insert("LocalNetworkAccessLabelTitle", qtTrId(_ids[LocalNetworkAccessLabelTitle]));
    insert("LocalNetworkAccessSubLabel", qtTrId(_ids[LocalNetworkAccessSubLabel]));
    insert("LocalNetworkAccessDisabledSubLabel", qtTrId(_ids[LocalNetworkAccessDisabledSubLabel]));
    insert("DnsOverwriteDialogTitleDNS", qtTrId(_ids[DnsOverwriteDialogTitleDNS]));
    insert("DnsOverwriteDialogTitlePrivacy", qtTrId(_ids[DnsOverwriteDialogTitlePrivacy]));
    insert("DnsOverwriteDialogBodyDNS", qtTrId(_ids[DnsOverwriteDialogBodyDNS]));
    insert("DnsOverwriteDialogBodyPrivacy", qtTrId(_ids[DnsOverwriteDialogBodyPrivacy]));
    insert("DnsOverwriteDialogPrimaryButton", qtTrId(_ids[DnsOverwriteDialogPrimaryButton]));
    insert("DnsOverwriteDialogSecondaryButton", qtTrId(_ids[DnsOverwriteDialogSecondaryButton]));
    insert("AboutUsTitle", qtTrId(_ids[AboutUsTitle]));
    insert("AboutUsLicenses", qtTrId(_ids[AboutUsLicenses]));
    insert("AboutUsCopyVersionNumber", qtTrId(_ids[AboutUsCopyVersionNumber]));
    insert("AboutUsPrivacyNotice", qtTrId(_ids[AboutUsPrivacyNotice]));
    insert("AboutUsTermsOfService", qtTrId(_ids[AboutUsTermsOfService]));
    insert("AboutUsReleaseVersion", qtTrId(_ids[AboutUsReleaseVersion]));
    insert("AndroidNotificationsGeneralNotifications", qtTrId(_ids[AndroidNotificationsGeneralNotifications]));
    insert("UpdateButtonCheckForUpdateButtonText", qtTrId(_ids[UpdateButtonCheckForUpdateButtonText]));
    insert("UpdateButtonTitleNoUpdate", qtTrId(_ids[UpdateButtonTitleNoUpdate]));
    insert("UpdateButtonDescriptionNoUpdate2", qtTrId(_ids[UpdateButtonDescriptionNoUpdate2]));
    insert("UpdateButtonActionNoUpdate", qtTrId(_ids[UpdateButtonActionNoUpdate]));
    insert("UpdateButtonTitleOnUpdate", qtTrId(_ids[UpdateButtonTitleOnUpdate]));
    insert("UpdateButtonDescriptionOnUpdate", qtTrId(_ids[UpdateButtonDescriptionOnUpdate]));
    insert("UpdateButtonActionOnUpdate", qtTrId(_ids[UpdateButtonActionOnUpdate]));
    insert("TelemetryPolicyViewDescription", qtTrId(_ids[TelemetryPolicyViewDescription]));
    insert("TelemetryPolicyViewQuestion", qtTrId(_ids[TelemetryPolicyViewQuestion]));
    insert("TelemetryPolicyViewShareTechnicalData", qtTrId(_ids[TelemetryPolicyViewShareTechnicalData]));
    insert("TelemetryPolicyViewDoNotAllow", qtTrId(_ids[TelemetryPolicyViewDoNotAllow]));
    insert("TelemetryPolicyViewAllow", qtTrId(_ids[TelemetryPolicyViewAllow]));
    insert("TelemetryPolicyViewLearnMore", qtTrId(_ids[TelemetryPolicyViewLearnMore]));
    insert("GenericErrorUnexpected", qtTrId(_ids[GenericErrorUnexpected]));
    insert("ConnectionInfoStartSpeedTest", qtTrId(_ids[ConnectionInfoStartSpeedTest]));
    insert("ConnectionInfoLabelBitps", qtTrId(_ids[ConnectionInfoLabelBitps]));
    insert("ConnectionInfoLabelKbitps", qtTrId(_ids[ConnectionInfoLabelKbitps]));
    insert("ConnectionInfoLabelMbitps", qtTrId(_ids[ConnectionInfoLabelMbitps]));
    insert("ConnectionInfoLabelGbitps", qtTrId(_ids[ConnectionInfoLabelGbitps]));
    insert("ConnectionInfoLabelTbitps", qtTrId(_ids[ConnectionInfoLabelTbitps]));
    insert("ConnectionInfoLabelPing", qtTrId(_ids[ConnectionInfoLabelPing]));
    insert("ConnectionInfoLabelUpload", qtTrId(_ids[ConnectionInfoLabelUpload]));
    insert("ConnectionInfoUnitPing", qtTrId(_ids[ConnectionInfoUnitPing]));
    insert("ConnectionInfoLoadingIndicatorLabel", qtTrId(_ids[ConnectionInfoLoadingIndicatorLabel]));
    insert("ConnectionInfoErrorMessage", qtTrId(_ids[ConnectionInfoErrorMessage]));
    insert("ConnectionInfoListHeaderDefault", qtTrId(_ids[ConnectionInfoListHeaderDefault]));
    insert("ConnectionInfoListHeaderSlow", qtTrId(_ids[ConnectionInfoListHeaderSlow]));
    insert("ConnectionInfoTroubleshootingBulletOne", qtTrId(_ids[ConnectionInfoTroubleshootingBulletOne]));
    insert("ConnectionInfoTroubleshootingBulletTwo", qtTrId(_ids[ConnectionInfoTroubleshootingBulletTwo]));
    insert("ConnectionInfoTroubleshootingBulletThree", qtTrId(_ids[ConnectionInfoTroubleshootingBulletThree]));
    insert("ConnectionInfoMediumBulletOne", qtTrId(_ids[ConnectionInfoMediumBulletOne]));
    insert("ConnectionInfoMediumBulletTwo", qtTrId(_ids[ConnectionInfoMediumBulletTwo]));
    insert("ConnectionInfoMediumBulletThree", qtTrId(_ids[ConnectionInfoMediumBulletThree]));
    insert("ConnectionInfoHighBulletOne", qtTrId(_ids[ConnectionInfoHighBulletOne]));
    insert("ConnectionInfoHighBulletTwo", qtTrId(_ids[ConnectionInfoHighBulletTwo]));
    insert("ConnectionInfoHighBulletThree", qtTrId(_ids[ConnectionInfoHighBulletThree]));
    insert("ConnectionInfoMetricsTitle", qtTrId(_ids[ConnectionInfoMetricsTitle]));
    insert("ConnectionInfoExitServerLabelIp", qtTrId(_ids[ConnectionInfoExitServerLabelIp]));
    insert("ConnectionInfoExitServerLabelIpv6", qtTrId(_ids[ConnectionInfoExitServerLabelIpv6]));
    insert("ConnectionInfoConnectionInformation", qtTrId(_ids[ConnectionInfoConnectionInformation]));
    insert("ConnectionInfoRestartSpeedTest", qtTrId(_ids[ConnectionInfoRestartSpeedTest]));
    insert("CrashreporterMainTitle", qtTrId(_ids[CrashreporterMainTitle]));
    insert("CrashreporterMainHeading", qtTrId(_ids[CrashreporterMainHeading]));
    insert("CrashreporterDescription", qtTrId(_ids[CrashreporterDescription]));
    insert("CrashreporterSendButtonLabel", qtTrId(_ids[CrashreporterSendButtonLabel]));
    insert("CrashreporterDontSendButton", qtTrId(_ids[CrashreporterDontSendButton]));
    insert("CrashreporterCrashOptInDialogDescription", qtTrId(_ids[CrashreporterCrashOptInDialogDescription]));
    insert("ServerUnavailableModalHeaderText", qtTrId(_ids[ServerUnavailableModalHeaderText]));
    insert("ServerUnavailableModalBodyText", qtTrId(_ids[ServerUnavailableModalBodyText]));
    insert("ServerUnavailableModalButtonLabel", qtTrId(_ids[ServerUnavailableModalButtonLabel]));
    insert("ServerUnavailableNotificationBodyText", qtTrId(_ids[ServerUnavailableNotificationBodyText]));
    insert("ServerUnavailableNotificationBodyTextFireWallBlocked", qtTrId(_ids[ServerUnavailableNotificationBodyTextFireWallBlocked]));
    insert("ServerUnavailableNotificationPreferencesLabel", qtTrId(_ids[ServerUnavailableNotificationPreferencesLabel]));
    insert("ServerUnavailableNotificationPreferencesSubLabel", qtTrId(_ids[ServerUnavailableNotificationPreferencesSubLabel]));
    insert("MobileOnboardingPanelOneTitle", qtTrId(_ids[MobileOnboardingPanelOneTitle]));
    insert("MobileOnboardingPanelOneSubtitle", qtTrId(_ids[MobileOnboardingPanelOneSubtitle]));
    insert("MobileOnboardingSignUpBtn", qtTrId(_ids[MobileOnboardingSignUpBtn]));
    insert("MobileOnboardingAlreadyASubscriber", qtTrId(_ids[MobileOnboardingAlreadyASubscriber]));
    insert("OnboardingPanelTwoTitle", qtTrId(_ids[OnboardingPanelTwoTitle]));
    insert("OnboardingPanelTwoSubtitle", qtTrId(_ids[OnboardingPanelTwoSubtitle]));
    insert("OnboardingPanelThreeTitle", qtTrId(_ids[OnboardingPanelThreeTitle]));
    insert("OnboardingPanelThreeSubtitle", qtTrId(_ids[OnboardingPanelThreeSubtitle]));
    insert("OnboardingPanelFourTitle", qtTrId(_ids[OnboardingPanelFourTitle]));
    insert("OnboardingPanelFourSubtitle", qtTrId(_ids[OnboardingPanelFourSubtitle]));
    insert("OnboardingProgressBarDataUse", qtTrId(_ids[OnboardingProgressBarDataUse]));
    insert("OnboardingProgressBarMorePrivacy", qtTrId(_ids[OnboardingProgressBarMorePrivacy]));
    insert("OnboardingProgressBarAddDevices", qtTrId(_ids[OnboardingProgressBarAddDevices]));
    insert("OnboardingProgressBarStartup", qtTrId(_ids[OnboardingProgressBarStartup]));
    insert("OnboardingProgressBarConnect", qtTrId(_ids[OnboardingProgressBarConnect]));
    insert("OnboardingProgressBarAccessibilityStepComplete", qtTrId(_ids[OnboardingProgressBarAccessibilityStepComplete]));
    insert("OnboardingProgressBarAccessibilityStepCurrent", qtTrId(_ids[OnboardingProgressBarAccessibilityStepCurrent]));
    insert("OnboardingProgressBarAccessibilityStepIncomplete2", qtTrId(_ids[OnboardingProgressBarAccessibilityStepIncomplete2]));
    insert("OnboardingDataSlideHeader2", qtTrId(_ids[OnboardingDataSlideHeader2]));
    insert("OnboardingDataSlideBody2", qtTrId(_ids[OnboardingDataSlideBody2]));
    insert("OnboardingDataSlideToggleLabel", qtTrId(_ids[OnboardingDataSlideToggleLabel]));
    insert("OnboardingDataSlideLearnMoreCaption2", qtTrId(_ids[OnboardingDataSlideLearnMoreCaption2]));
    insert("OnboardingDataSlidePrivacyLinkLabel", qtTrId(_ids[OnboardingDataSlidePrivacyLinkLabel]));
    insert("OnboardingPrivacySlideHeader", qtTrId(_ids[OnboardingPrivacySlideHeader]));
    insert("OnboardingPrivacySlideBody", qtTrId(_ids[OnboardingPrivacySlideBody]));
    insert("OnboardingDevicesSlideHeader", qtTrId(_ids[OnboardingDevicesSlideHeader]));
    insert("OnboardingDevicesSlideBody2", qtTrId(_ids[OnboardingDevicesSlideBody2]));
    insert("OnboardingDevicesSlideBodyMobile", qtTrId(_ids[OnboardingDevicesSlideBodyMobile]));
    insert("OnboardingDevicesSlideDeviceTypeLabel", qtTrId(_ids[OnboardingDevicesSlideDeviceTypeLabel]));
    insert("OnboardingDevicesSlideDeviceTypeAndroid", qtTrId(_ids[OnboardingDevicesSlideDeviceTypeAndroid]));
    insert("OnboardingDevicesSlideDeviceTypeApple", qtTrId(_ids[OnboardingDevicesSlideDeviceTypeApple]));
    insert("OnboardingDevicesSlideQRCodeAndroid", qtTrId(_ids[OnboardingDevicesSlideQRCodeAndroid]));
    insert("OnboardingDevicesSlideQRCodeApple", qtTrId(_ids[OnboardingDevicesSlideQRCodeApple]));
    insert("OnboardingStartSlideHeader", qtTrId(_ids[OnboardingStartSlideHeader]));
    insert("OnboardingStartSlideBody2", qtTrId(_ids[OnboardingStartSlideBody2]));
    insert("OnboardingStartSlideMobileHeader", qtTrId(_ids[OnboardingStartSlideMobileHeader]));
    insert("OnboardingStartSlideMobileBody", qtTrId(_ids[OnboardingStartSlideMobileBody]));
    insert("OnboardingStartSlideAllowButtonLabel", qtTrId(_ids[OnboardingStartSlideAllowButtonLabel]));
    insert("InAppAuthEmailInputPlaceholder", qtTrId(_ids[InAppAuthEmailInputPlaceholder]));
    insert("InAppAuthChangeEmailLink", qtTrId(_ids[InAppAuthChangeEmailLink]));
    insert("InAppAuthSignInButton", qtTrId(_ids[InAppAuthSignInButton]));
    insert("InAppAuthSignInSubtitle2", qtTrId(_ids[InAppAuthSignInSubtitle2]));
    insert("InAppAuthReauthSignInSubtitle2", qtTrId(_ids[InAppAuthReauthSignInSubtitle2]));
    insert("InAppAuthCreatePasswordLabel", qtTrId(_ids[InAppAuthCreatePasswordLabel]));
    insert("InAppAuthForgotPasswordLink", qtTrId(_ids[InAppAuthForgotPasswordLink]));
    insert("InAppAuthPasswordInputPlaceholder", qtTrId(_ids[InAppAuthPasswordInputPlaceholder]));
    insert("InAppAuthPasswordInputLabel", qtTrId(_ids[InAppAuthPasswordInputLabel]));
    insert("InAppAuthPasswordHintCharacterLength", qtTrId(_ids[InAppAuthPasswordHintCharacterLength]));
    insert("InAppAuthPasswordHintEmailAddressAsPassword", qtTrId(_ids[InAppAuthPasswordHintEmailAddressAsPassword]));
    insert("InAppAuthPasswordHintCommonPassword", qtTrId(_ids[InAppAuthPasswordHintCommonPassword]));
    insert("InAppAuthShowPassword", qtTrId(_ids[InAppAuthShowPassword]));
    insert("InAppAuthHidePassword", qtTrId(_ids[InAppAuthHidePassword]));
    insert("InAppAuthProductUpdateOptInDescription", qtTrId(_ids[InAppAuthProductUpdateOptInDescription]));
    insert("InAppAuthCreateAccountButton", qtTrId(_ids[InAppAuthCreateAccountButton]));
    insert("InAppAuthFinishAccountCreationDescription2", qtTrId(_ids[InAppAuthFinishAccountCreationDescription2]));
    insert("InAppAuthEmailVerificationDescription", qtTrId(_ids[InAppAuthEmailVerificationDescription]));
    insert("InAppAuthInvalidPasswordErrorMessage", qtTrId(_ids[InAppAuthInvalidPasswordErrorMessage]));
    insert("InAppAuthInvalidCodeErrorMessage", qtTrId(_ids[InAppAuthInvalidCodeErrorMessage]));
    insert("InAppAuthInvalidEmailErrorMessage", qtTrId(_ids[InAppAuthInvalidEmailErrorMessage]));
    insert("InAppAuthInvalidEmailFormatErrorMessage", qtTrId(_ids[InAppAuthInvalidEmailFormatErrorMessage]));
    insert("InAppAuthVerificationCodeTitle", qtTrId(_ids[InAppAuthVerificationCodeTitle]));
    insert("InAppAuthUnblockCodeInputPlaceholder", qtTrId(_ids[InAppAuthUnblockCodeInputPlaceholder]));
    insert("InAppAuthSessionEmailCodeInputPlaceholder", qtTrId(_ids[InAppAuthSessionEmailCodeInputPlaceholder]));
    insert("InAppAuthVerifySecurityCodeButton", qtTrId(_ids[InAppAuthVerifySecurityCodeButton]));
    insert("InAppAuthResendCodeLink", qtTrId(_ids[InAppAuthResendCodeLink]));
    insert("InAppAuthSecurityCodeLabel", qtTrId(_ids[InAppAuthSecurityCodeLabel]));
    insert("InAppAuthSecurityCodeTitle", qtTrId(_ids[InAppAuthSecurityCodeTitle]));
    insert("InAppAuthSecurityCodeSubtitle", qtTrId(_ids[InAppAuthSecurityCodeSubtitle]));
    insert("InAppAuthSecurityCodeInputPlaceholder", qtTrId(_ids[InAppAuthSecurityCodeInputPlaceholder]));
    insert("InAppAuthInformationUsageDisclaimer", qtTrId(_ids[InAppAuthInformationUsageDisclaimer]));
    insert("InAppAuthSignInFailedPopupTitle", qtTrId(_ids[InAppAuthSignInFailedPopupTitle]));
    insert("InAppAuthSignInFailedPopupDescription", qtTrId(_ids[InAppAuthSignInFailedPopupDescription]));
    insert("InAppAuthSignInBlockedForOneMinute", qtTrId(_ids[InAppAuthSignInBlockedForOneMinute]));
    insert("InAppAuthProblemEmailTypeNotSupported", qtTrId(_ids[InAppAuthProblemEmailTypeNotSupported]));
    insert("InAppAuthProblemSendingEmailTitle", qtTrId(_ids[InAppAuthProblemSendingEmailTitle]));
    insert("InAppAuthProblemSendingEmailErrorMessage", qtTrId(_ids[InAppAuthProblemSendingEmailErrorMessage]));
    insert("InAppAuthEnterEmailAddressDescription", qtTrId(_ids[InAppAuthEnterEmailAddressDescription]));
    insert("InAppAuthTermsOfServiceAndPrivacyDisclaimer", qtTrId(_ids[InAppAuthTermsOfServiceAndPrivacyDisclaimer]));
    insert("InAppAuthEmailTokenResentAlert", qtTrId(_ids[InAppAuthEmailTokenResentAlert]));
    insert("InAppAuthWaitingForSignIn", qtTrId(_ids[InAppAuthWaitingForSignIn]));
    insert("InAppAuthPleaseWait", qtTrId(_ids[InAppAuthPleaseWait]));
    insert("InAppAuthSsoInstructionHeader", qtTrId(_ids[InAppAuthSsoInstructionHeader]));
    insert("InAppAuthSsoInstructionLine1", qtTrId(_ids[InAppAuthSsoInstructionLine1]));
    insert("InAppAuthSsoInstructionLine2a", qtTrId(_ids[InAppAuthSsoInstructionLine2a]));
    insert("InAppAuthSsoInstructionLine3", qtTrId(_ids[InAppAuthSsoInstructionLine3]));
    insert("InAppAuthSsoInstructionLine4", qtTrId(_ids[InAppAuthSsoInstructionLine4]));
    insert("InAppAuthStubAccountVerificationHeader", qtTrId(_ids[InAppAuthStubAccountVerificationHeader]));
    insert("InAppAuthStubAccountVerificationInstruction", qtTrId(_ids[InAppAuthStubAccountVerificationInstruction]));
    insert("InAppAuthContinueToSignIn", qtTrId(_ids[InAppAuthContinueToSignIn]));
    insert("DeleteAccountAuthButtonLabel", qtTrId(_ids[DeleteAccountAuthButtonLabel]));
    insert("DeleteAccountHeadline2", qtTrId(_ids[DeleteAccountHeadline2]));
    insert("DeleteAccountSubheadline2", qtTrId(_ids[DeleteAccountSubheadline2]));
    insert("DeleteAccountOptionDescriptionOne", qtTrId(_ids[DeleteAccountOptionDescriptionOne]));
    insert("DeleteAccountOptionDescriptionTwo", qtTrId(_ids[DeleteAccountOptionDescriptionTwo]));
    insert("DeleteAccountOptionDescriptionThree", qtTrId(_ids[DeleteAccountOptionDescriptionThree]));
    insert("DeleteAccountOptionDescriptionFour", qtTrId(_ids[DeleteAccountOptionDescriptionFour]));
    insert("DeleteAccountButtonLabel", qtTrId(_ids[DeleteAccountButtonLabel]));
    insert("AccessibilityCurrentIndexFocusedOfTotalItemsInGroup", qtTrId(_ids[AccessibilityCurrentIndexFocusedOfTotalItemsInGroup]));
    insert("AccessibilitySelectedAndItemName", qtTrId(_ids[AccessibilitySelectedAndItemName]));
    insert("AccessibilitySelected", qtTrId(_ids[AccessibilitySelected]));
    insert("FreeTrialsStartYourFreeTrial", qtTrId(_ids[FreeTrialsStartYourFreeTrial]));
    insert("FreeTrialsFreeTrialLabel", qtTrId(_ids[FreeTrialsFreeTrialLabel]));
    insert("SubscriptionManagementSectionTitle", qtTrId(_ids[SubscriptionManagementSectionTitle]));
    insert("SubscriptionManagementSummaryHeadline", qtTrId(_ids[SubscriptionManagementSummaryHeadline]));
    insert("SubscriptionManagementPaymentHeadline", qtTrId(_ids[SubscriptionManagementPaymentHeadline]));
    insert("SubscriptionManagementPlanLabel", qtTrId(_ids[SubscriptionManagementPlanLabel]));
    insert("SubscriptionManagementPlanValueMonthly", qtTrId(_ids[SubscriptionManagementPlanValueMonthly]));
    insert("SubscriptionManagementPlanValueHalfYearly", qtTrId(_ids[SubscriptionManagementPlanValueHalfYearly]));
    insert("SubscriptionManagementPlanValueYearly", qtTrId(_ids[SubscriptionManagementPlanValueYearly]));
    insert("SubscriptionManagementPlanValueMonthlyPlusTax", qtTrId(_ids[SubscriptionManagementPlanValueMonthlyPlusTax]));
    insert("SubscriptionManagementPlanValueHalfYearlyPlusTax", qtTrId(_ids[SubscriptionManagementPlanValueHalfYearlyPlusTax]));
    insert("SubscriptionManagementPlanValueYearlyPlusTax", qtTrId(_ids[SubscriptionManagementPlanValueYearlyPlusTax]));
    insert("SubscriptionManagementPlanMonthly", qtTrId(_ids[SubscriptionManagementPlanMonthly]));
    insert("SubscriptionManagementPlanMonthlyWithoutTax", qtTrId(_ids[SubscriptionManagementPlanMonthlyWithoutTax]));
    insert("SubscriptionManagementPlanMonthlyPlusTax", qtTrId(_ids[SubscriptionManagementPlanMonthlyPlusTax]));
    insert("SubscriptionManagementStatusLabel", qtTrId(_ids[SubscriptionManagementStatusLabel]));
    insert("SubscriptionManagementStatusInactive", qtTrId(_ids[SubscriptionManagementStatusInactive]));
    insert("SubscriptionManagementStatusActive", qtTrId(_ids[SubscriptionManagementStatusActive]));
    insert("SubscriptionManagementNextLabel", qtTrId(_ids[SubscriptionManagementNextLabel]));
    insert("SubscriptionManagementActivatedLabel", qtTrId(_ids[SubscriptionManagementActivatedLabel]));
    insert("SubscriptionManagementExpiresLabel", qtTrId(_ids[SubscriptionManagementExpiresLabel]));
    insert("SubscriptionManagementSubscriptionPlatformLabel", qtTrId(_ids[SubscriptionManagementSubscriptionPlatformLabel]));
    insert("SubscriptionManagementCardLast4", qtTrId(_ids[SubscriptionManagementCardLast4]));
    insert("SubscriptionManagementCardExpiresLabel", qtTrId(_ids[SubscriptionManagementCardExpiresLabel]));
    insert("SubscriptionManagementManageSubscriptionButton", qtTrId(_ids[SubscriptionManagementManageSubscriptionButton]));
    insert("SubscriptionManagementUpgradeToAnnualButton", qtTrId(_ids[SubscriptionManagementUpgradeToAnnualButton]));
    insert("SubscriptionManagementUpgradeToAnnual", qtTrId(_ids[SubscriptionManagementUpgradeToAnnual]));
    insert("SubscriptionManagementManageAccount", qtTrId(_ids[SubscriptionManagementManageAccount]));
    insert("PaymentMethodsAmex", qtTrId(_ids[PaymentMethodsAmex]));
    insert("PaymentMethodsDiners", qtTrId(_ids[PaymentMethodsDiners]));
    insert("PaymentMethodsDiscover", qtTrId(_ids[PaymentMethodsDiscover]));
    insert("PaymentMethodsJcb", qtTrId(_ids[PaymentMethodsJcb]));
    insert("PaymentMethodsIapApple", qtTrId(_ids[PaymentMethodsIapApple]));
    insert("PaymentMethodsIapGoogle", qtTrId(_ids[PaymentMethodsIapGoogle]));
    insert("PaymentMethodsMastercard", qtTrId(_ids[PaymentMethodsMastercard]));
    insert("PaymentMethodsPaypal", qtTrId(_ids[PaymentMethodsPaypal]));
    insert("PaymentMethodsUnionpay", qtTrId(_ids[PaymentMethodsUnionpay]));
    insert("PaymentMethodsVisa", qtTrId(_ids[PaymentMethodsVisa]));
    insert("InAppMessagingMenuTitle", qtTrId(_ids[InAppMessagingMenuTitle]));
    insert("InAppMessagingEditButton", qtTrId(_ids[InAppMessagingEditButton]));
    insert("InAppMessagingSearchBarPlaceholderText", qtTrId(_ids[InAppMessagingSearchBarPlaceholderText]));
    insert("InAppMessagingEmptyStateTitle", qtTrId(_ids[InAppMessagingEmptyStateTitle]));
    insert("InAppMessagingEmptyStateDescription", qtTrId(_ids[InAppMessagingEmptyStateDescription]));
    insert("InAppMessagingDateTimeYesterday", qtTrId(_ids[InAppMessagingDateTimeYesterday]));
    insert("InAppMessagingDeleteMessage", qtTrId(_ids[InAppMessagingDeleteMessage]));
    insert("InAppMessagingWarningBadge", qtTrId(_ids[InAppMessagingWarningBadge]));
    insert("InAppMessagingCriticalBadge", qtTrId(_ids[InAppMessagingCriticalBadge]));
    insert("InAppMessagingNewUpdateBadge", qtTrId(_ids[InAppMessagingNewUpdateBadge]));
    insert("InAppMessagingWhatsNewBadge", qtTrId(_ids[InAppMessagingWhatsNewBadge]));
    insert("InAppMessagingSurveyBadge", qtTrId(_ids[InAppMessagingSurveyBadge]));
    insert("InAppMessagingSubscriptionBadge", qtTrId(_ids[InAppMessagingSubscriptionBadge]));
    insert("InAppMessagingExtensionBadge", qtTrId(_ids[InAppMessagingExtensionBadge]));
    insert("DevicesCountLabel", qtTrId(_ids[DevicesCountLabel]));
    insert("DevicesLimitTitle", qtTrId(_ids[DevicesLimitTitle]));
    insert("DevicesLimitDescription2", qtTrId(_ids[DevicesLimitDescription2]));
    insert("DevicesRemovingTitle", qtTrId(_ids[DevicesRemovingTitle]));
    insert("DevicesListItemDescriptionCurrent", qtTrId(_ids[DevicesListItemDescriptionCurrent]));
    insert("DevicesListItemDescriptionAddedOneHourAgo", qtTrId(_ids[DevicesListItemDescriptionAddedOneHourAgo]));
    insert("DevicesListItemDescriptionAddedFewHoursAgo", qtTrId(_ids[DevicesListItemDescriptionAddedFewHoursAgo]));
    insert("DevicesListItemDescriptionAddedDaysAgo", qtTrId(_ids[DevicesListItemDescriptionAddedDaysAgo]));
    insert("DevicesListItemRemoveDeviceAccessibility", qtTrId(_ids[DevicesListItemRemoveDeviceAccessibility]));
    insert("DevicesRemovePopupTitle", qtTrId(_ids[DevicesRemovePopupTitle]));
    insert("DevicesRemovePopupDescription", qtTrId(_ids[DevicesRemovePopupDescription]));
    insert("DevicesRemovePopupPrimaryButtonLabel", qtTrId(_ids[DevicesRemovePopupPrimaryButtonLabel]));
    insert("DevicesSectionTitle", qtTrId(_ids[DevicesSectionTitle]));
    insert("HelpSheetsDnsTitle", qtTrId(_ids[HelpSheetsDnsTitle]));
    insert("HelpSheetsDnsHeader", qtTrId(_ids[HelpSheetsDnsHeader]));
    insert("HelpSheetsDnsBody1", qtTrId(_ids[HelpSheetsDnsBody1]));
    insert("HelpSheetsDnsBody2", qtTrId(_ids[HelpSheetsDnsBody2]));
    insert("HelpSheetsPrivacyTitle", qtTrId(_ids[HelpSheetsPrivacyTitle]));
    insert("HelpSheetsPrivacyHeader", qtTrId(_ids[HelpSheetsPrivacyHeader]));
    insert("HelpSheetsPrivacyBody1", qtTrId(_ids[HelpSheetsPrivacyBody1]));
    insert("HelpSheetsPrivacyBody2", qtTrId(_ids[HelpSheetsPrivacyBody2]));
    insert("HelpSheetsExcludedAppsTitle", qtTrId(_ids[HelpSheetsExcludedAppsTitle]));
    insert("HelpSheetsExcludedAppsHeader", qtTrId(_ids[HelpSheetsExcludedAppsHeader]));
    insert("HelpSheetsExcludedAppsBody1", qtTrId(_ids[HelpSheetsExcludedAppsBody1]));
    insert("HelpSheetsExcludedAppsBody2", qtTrId(_ids[HelpSheetsExcludedAppsBody2]));
    insert("HelpSheetsExcludedAppsBody3", qtTrId(_ids[HelpSheetsExcludedAppsBody3]));
    insert("HelpSheetsExcludedAppsCTA", qtTrId(_ids[HelpSheetsExcludedAppsCTA]));
    insert("HelpSheetsDevicesTitle", qtTrId(_ids[HelpSheetsDevicesTitle]));
    insert("HelpSheetsDevicesHeader", qtTrId(_ids[HelpSheetsDevicesHeader]));
    insert("HelpSheetsDevicesBody1", qtTrId(_ids[HelpSheetsDevicesBody1]));
    insert("HelpSheetsDevicesBody2", qtTrId(_ids[HelpSheetsDevicesBody2]));
    insert("HelpSheetsLocationTitle", qtTrId(_ids[HelpSheetsLocationTitle]));
    insert("HelpSheetsLocationHeader", qtTrId(_ids[HelpSheetsLocationHeader]));
    insert("HelpSheetsLocationBody1", qtTrId(_ids[HelpSheetsLocationBody1]));
    insert("HelpSheetsLocationBody2", qtTrId(_ids[HelpSheetsLocationBody2]));
    insert("ResetSettingsResetLabel", qtTrId(_ids[ResetSettingsResetLabel]));
    insert("ResetSettingsTitle", qtTrId(_ids[ResetSettingsTitle]));
    insert("ResetSettingsBody1", qtTrId(_ids[ResetSettingsBody1]));
    insert("ResetSettingsListItemPreferences", qtTrId(_ids[ResetSettingsListItemPreferences]));
    insert("ResetSettingsBody2", qtTrId(_ids[ResetSettingsBody2]));
    insert("ResetSettingsResetButtonLabel", qtTrId(_ids[ResetSettingsResetButtonLabel]));
    insert("ResetSettingsConfirmResetModalTitle", qtTrId(_ids[ResetSettingsConfirmResetModalTitle]));
    insert("ResetSettingsConfirmResetModalBody", qtTrId(_ids[ResetSettingsConfirmResetModalBody]));
    insert("ResetSettingsConfirmResetModalResetButtonLabel", qtTrId(_ids[ResetSettingsConfirmResetModalResetButtonLabel]));
    insert("GlobalExpand", qtTrId(_ids[GlobalExpand]));
    insert("GlobalCollapse", qtTrId(_ids[GlobalCollapse]));
    insert("GlobalVpnUser", qtTrId(_ids[GlobalVpnUser]));
    insert("GlobalDiscoverNow", qtTrId(_ids[GlobalDiscoverNow]));
    insert("GlobalGoBack", qtTrId(_ids[GlobalGoBack]));
    insert("GlobalContinue", qtTrId(_ids[GlobalContinue]));
    insert("GlobalNoThanks", qtTrId(_ids[GlobalNoThanks]));
    insert("GlobalCopied", qtTrId(_ids[GlobalCopied]));
    insert("GlobalPaste", qtTrId(_ids[GlobalPaste]));
    insert("GlobalClose", qtTrId(_ids[GlobalClose]));
    insert("GlobalSignOut", qtTrId(_ids[GlobalSignOut]));
    insert("GlobalNoInternetConnection", qtTrId(_ids[GlobalNoInternetConnection]));
    insert("GlobalCopy", qtTrId(_ids[GlobalCopy]));
    insert("GlobalClear", qtTrId(_ids[GlobalClear]));
    insert("GlobalNext", qtTrId(_ids[GlobalNext]));
    insert("GlobalGetStarted", qtTrId(_ids[GlobalGetStarted]));
    insert("GlobalHelp", qtTrId(_ids[GlobalHelp]));
    insert("GlobalLearnMore", qtTrId(_ids[GlobalLearnMore]));
    insert("GetHelpHelpCenter", qtTrId(_ids[GetHelpHelpCenter]));
    insert("GetHelpViewLogs", qtTrId(_ids[GetHelpViewLogs]));
    insert("GetHelpLinkText", qtTrId(_ids[GetHelpLinkText]));
    insert("GetHelpDeveloperOptions", qtTrId(_ids[GetHelpDeveloperOptions]));
    insert("ProductName", qtTrId(_ids[ProductName]));
    insert("ProductDescription", qtTrId(_ids[ProductDescription]));
    insert("NavBarHomeTab", qtTrId(_ids[NavBarHomeTab]));
    insert("NavBarMessagesTab", qtTrId(_ids[NavBarMessagesTab]));
    insert("NavBarSettingsTab", qtTrId(_ids[NavBarSettingsTab]));
    insert("LanguagesBg", qtTrId(_ids[LanguagesBg]));
    insert("LanguagesCo", qtTrId(_ids[LanguagesCo]));
    insert("LanguagesCs", qtTrId(_ids[LanguagesCs]));
    insert("LanguagesCy", qtTrId(_ids[LanguagesCy]));
    insert("LanguagesDa", qtTrId(_ids[LanguagesDa]));
    insert("LanguagesDe", qtTrId(_ids[LanguagesDe]));
    insert("LanguagesDsb", qtTrId(_ids[LanguagesDsb]));
    insert("LanguagesEl", qtTrId(_ids[LanguagesEl]));
    insert("LanguagesEn", qtTrId(_ids[LanguagesEn]));
    insert("LanguagesEnCA", qtTrId(_ids[LanguagesEnCA]));
    insert("LanguagesEnGB", qtTrId(_ids[LanguagesEnGB]));
    insert("LanguagesEsAR", qtTrId(_ids[LanguagesEsAR]));
    insert("LanguagesEsCL", qtTrId(_ids[LanguagesEsCL]));
    insert("LanguagesEsES", qtTrId(_ids[LanguagesEsES]));
    insert("LanguagesEsMX", qtTrId(_ids[LanguagesEsMX]));
    insert("LanguagesFa", qtTrId(_ids[LanguagesFa]));
    insert("LanguagesFi", qtTrId(_ids[LanguagesFi]));
    insert("LanguagesFr", qtTrId(_ids[LanguagesFr]));
    insert("LanguagesFyNL", qtTrId(_ids[LanguagesFyNL]));
    insert("LanguagesHsb", qtTrId(_ids[LanguagesHsb]));
    insert("LanguagesHu", qtTrId(_ids[LanguagesHu]));
    insert("LanguagesIa", qtTrId(_ids[LanguagesIa]));
    insert("LanguagesId", qtTrId(_ids[LanguagesId]));
    insert("LanguagesIs", qtTrId(_ids[LanguagesIs]));
    insert("LanguagesIt", qtTrId(_ids[LanguagesIt]));
    insert("LanguagesJa", qtTrId(_ids[LanguagesJa]));
    insert("LanguagesLo", qtTrId(_ids[LanguagesLo]));
    insert("LanguagesKo", qtTrId(_ids[LanguagesKo]));
    insert("LanguagesNl", qtTrId(_ids[LanguagesNl]));
    insert("LanguagesOc", qtTrId(_ids[LanguagesOc]));
    insert("LanguagesPaIN", qtTrId(_ids[LanguagesPaIN]));
    insert("LanguagesPl", qtTrId(_ids[LanguagesPl]));
    insert("LanguagesPtBR", qtTrId(_ids[LanguagesPtBR]));
    insert("LanguagesPtPT", qtTrId(_ids[LanguagesPtPT]));
    insert("LanguagesRu", qtTrId(_ids[LanguagesRu]));
    insert("LanguagesSk", qtTrId(_ids[LanguagesSk]));
    insert("LanguagesSl", qtTrId(_ids[LanguagesSl]));
    insert("LanguagesSq", qtTrId(_ids[LanguagesSq]));
    insert("LanguagesSvSE", qtTrId(_ids[LanguagesSvSE]));
    insert("LanguagesTh", qtTrId(_ids[LanguagesTh]));
    insert("LanguagesTr", qtTrId(_ids[LanguagesTr]));
    insert("LanguagesUk", qtTrId(_ids[LanguagesUk]));
    insert("LanguagesVi", qtTrId(_ids[LanguagesVi]));
    insert("LanguagesZhCN", qtTrId(_ids[LanguagesZhCN]));
    insert("LanguagesZhTW", qtTrId(_ids[LanguagesZhTW]));
    insert("ServersAl", qtTrId(_ids[ServersAl]));
    insert("ServersTirana", qtTrId(_ids[ServersTirana]));
    insert("ServersAu", qtTrId(_ids[ServersAu]));
    insert("ServersAdelaide", qtTrId(_ids[ServersAdelaide]));
    insert("ServersBrisbane", qtTrId(_ids[ServersBrisbane]));
    insert("ServersMelbourne", qtTrId(_ids[ServersMelbourne]));
    insert("ServersPerth", qtTrId(_ids[ServersPerth]));
    insert("ServersSydney", qtTrId(_ids[ServersSydney]));
    insert("ServersBe", qtTrId(_ids[ServersBe]));
    insert("ServersBrussels", qtTrId(_ids[ServersBrussels]));
    insert("ServersBg", qtTrId(_ids[ServersBg]));
    insert("ServersSofia", qtTrId(_ids[ServersSofia]));
    insert("ServersBr", qtTrId(_ids[ServersBr]));
    insert("ServersSaoPaulo", qtTrId(_ids[ServersSaoPaulo]));
    insert("ServersCa", qtTrId(_ids[ServersCa]));
    insert("ServersCalgary", qtTrId(_ids[ServersCalgary]));
    insert("ServersMontreal", qtTrId(_ids[ServersMontreal]));
    insert("ServersToronto", qtTrId(_ids[ServersToronto]));
    insert("ServersVancouver", qtTrId(_ids[ServersVancouver]));
    insert("ServersCh", qtTrId(_ids[ServersCh]));
    insert("ServersZurich", qtTrId(_ids[ServersZurich]));
    insert("ServersCo", qtTrId(_ids[ServersCo]));
    insert("ServersBogota", qtTrId(_ids[ServersBogota]));
    insert("ServersCz", qtTrId(_ids[ServersCz]));
    insert("ServersPrague", qtTrId(_ids[ServersPrague]));
    insert("ServersDe", qtTrId(_ids[ServersDe]));
    insert("ServersBerlin", qtTrId(_ids[ServersBerlin]));
    insert("ServersDusseldorf", qtTrId(_ids[ServersDusseldorf]));
    insert("ServersFrankfurt", qtTrId(_ids[ServersFrankfurt]));
    insert("ServersDk", qtTrId(_ids[ServersDk]));
    insert("ServersCopenhagen", qtTrId(_ids[ServersCopenhagen]));
    insert("ServersEe", qtTrId(_ids[ServersEe]));
    insert("ServersTallinn", qtTrId(_ids[ServersTallinn]));
    insert("ServersEs", qtTrId(_ids[ServersEs]));
    insert("ServersMadrid", qtTrId(_ids[ServersMadrid]));
    insert("ServersFi", qtTrId(_ids[ServersFi]));
    insert("ServersHelsinki", qtTrId(_ids[ServersHelsinki]));
    insert("ServersFr", qtTrId(_ids[ServersFr]));
    insert("ServersMarseille", qtTrId(_ids[ServersMarseille]));
    insert("ServersParis", qtTrId(_ids[ServersParis]));
    insert("ServersGb", qtTrId(_ids[ServersGb]));
    insert("ServersGlasgow", qtTrId(_ids[ServersGlasgow]));
    insert("ServersLondon", qtTrId(_ids[ServersLondon]));
    insert("ServersManchester", qtTrId(_ids[ServersManchester]));
    insert("ServersGr", qtTrId(_ids[ServersGr]));
    insert("ServersAthens", qtTrId(_ids[ServersAthens]));
    insert("ServersHk", qtTrId(_ids[ServersHk]));
    insert("ServersHongKong", qtTrId(_ids[ServersHongKong]));
    insert("ServersHr", qtTrId(_ids[ServersHr]));
    insert("ServersZagreb", qtTrId(_ids[ServersZagreb]));
    insert("ServersHu", qtTrId(_ids[ServersHu]));
    insert("ServersBudapest", qtTrId(_ids[ServersBudapest]));
    insert("ServersIe", qtTrId(_ids[ServersIe]));
    insert("ServersDublin", qtTrId(_ids[ServersDublin]));
    insert("ServersIl", qtTrId(_ids[ServersIl]));
    insert("ServersTelAviv", qtTrId(_ids[ServersTelAviv]));
    insert("ServersIt", qtTrId(_ids[ServersIt]));
    insert("ServersMilan", qtTrId(_ids[ServersMilan]));
    insert("ServersJp", qtTrId(_ids[ServersJp]));
    insert("ServersOsaka", qtTrId(_ids[ServersOsaka]));
    insert("ServersTokyo", qtTrId(_ids[ServersTokyo]));
    insert("ServersLv", qtTrId(_ids[ServersLv]));
    insert("ServersRiga", qtTrId(_ids[ServersRiga]));
    insert("ServersMx", qtTrId(_ids[ServersMx]));
    insert("ServersQueretaro", qtTrId(_ids[ServersQueretaro]));
    insert("ServersNl", qtTrId(_ids[ServersNl]));
    insert("ServersAmsterdam", qtTrId(_ids[ServersAmsterdam]));
    insert("ServersNo", qtTrId(_ids[ServersNo]));
    insert("ServersOslo", qtTrId(_ids[ServersOslo]));
    insert("ServersStavanger", qtTrId(_ids[ServersStavanger]));
    insert("ServersNz", qtTrId(_ids[ServersNz]));
    insert("ServersAuckland", qtTrId(_ids[ServersAuckland]));
    insert("ServersPl", qtTrId(_ids[ServersPl]));
    insert("ServersWarsaw", qtTrId(_ids[ServersWarsaw]));
    insert("ServersPt", qtTrId(_ids[ServersPt]));
    insert("ServersLisbon", qtTrId(_ids[ServersLisbon]));
    insert("ServersRo", qtTrId(_ids[ServersRo]));
    insert("ServersBucharest", qtTrId(_ids[ServersBucharest]));
    insert("ServersRs", qtTrId(_ids[ServersRs]));
    insert("ServersBelgrade", qtTrId(_ids[ServersBelgrade]));
    insert("ServersSe", qtTrId(_ids[ServersSe]));
    insert("ServersGothenburg", qtTrId(_ids[ServersGothenburg]));
    insert("ServersStockholm", qtTrId(_ids[ServersStockholm]));
    insert("ServersSg", qtTrId(_ids[ServersSg]));
    insert("ServersSingapore", qtTrId(_ids[ServersSingapore]));
    insert("ServersSi", qtTrId(_ids[ServersSi]));
    insert("ServersLjubljana", qtTrId(_ids[ServersLjubljana]));
    insert("ServersSk", qtTrId(_ids[ServersSk]));
    insert("ServersBratislava", qtTrId(_ids[ServersBratislava]));
    insert("ServersUa", qtTrId(_ids[ServersUa]));
    insert("ServersKyiv", qtTrId(_ids[ServersKyiv]));
    insert("ServersUs", qtTrId(_ids[ServersUs]));
    insert("ServersAshburn", qtTrId(_ids[ServersAshburn]));
    insert("ServersAtlanta", qtTrId(_ids[ServersAtlanta]));
    insert("ServersBoston", qtTrId(_ids[ServersBoston]));
    insert("ServersChicago", qtTrId(_ids[ServersChicago]));
    insert("ServersDallas", qtTrId(_ids[ServersDallas]));
    insert("ServersDenver", qtTrId(_ids[ServersDenver]));
    insert("ServersDetroit", qtTrId(_ids[ServersDetroit]));
    insert("ServersHouston", qtTrId(_ids[ServersHouston]));
    insert("ServersLosAngeles", qtTrId(_ids[ServersLosAngeles]));
    insert("ServersMiami", qtTrId(_ids[ServersMiami]));
    insert("ServersNewYork", qtTrId(_ids[ServersNewYork]));
    insert("ServersPhoenix", qtTrId(_ids[ServersPhoenix]));
    insert("ServersRaleigh", qtTrId(_ids[ServersRaleigh]));
    insert("ServersSaltLakeCity", qtTrId(_ids[ServersSaltLakeCity]));
    insert("ServersSanJose", qtTrId(_ids[ServersSanJose]));
    insert("ServersSeattle", qtTrId(_ids[ServersSeattle]));
    insert("ServersSecaucus", qtTrId(_ids[ServersSecaucus]));
    insert("ServersZa", qtTrId(_ids[ServersZa]));
    insert("ServersJohannesburg", qtTrId(_ids[ServersJohannesburg]));
    insert("ServersTh", qtTrId(_ids[ServersTh]));
    insert("ServersId", qtTrId(_ids[ServersId]));
    insert("ServersCl", qtTrId(_ids[ServersCl]));
    insert("ServersAt", qtTrId(_ids[ServersAt]));
    insert("ServersBangkok", qtTrId(_ids[ServersBangkok]));
    insert("ServersBarcelona", qtTrId(_ids[ServersBarcelona]));
    insert("ServersBordeaux", qtTrId(_ids[ServersBordeaux]));
    insert("ServersJakarta", qtTrId(_ids[ServersJakarta]));
    insert("ServersMcallen", qtTrId(_ids[ServersMcallen]));
    insert("ServersSantiago", qtTrId(_ids[ServersSantiago]));
    insert("ServersValencia", qtTrId(_ids[ServersValencia]));
    insert("ServersVienna", qtTrId(_ids[ServersVienna]));
    insert("ServersPalermo", qtTrId(_ids[ServersPalermo]));
    insert("ServersTr", qtTrId(_ids[ServersTr]));
    insert("ServersIstanbul", qtTrId(_ids[ServersIstanbul]));
    insert("ServersPe", qtTrId(_ids[ServersPe]));
    insert("ServersLima", qtTrId(_ids[ServersLima]));
    insert("ServersCy", qtTrId(_ids[ServersCy]));
    insert("ServersNicosia", qtTrId(_ids[ServersNicosia]));
    insert("ServersMalm", qtTrId(_ids[ServersMalm]));
    insert("ServersNg", qtTrId(_ids[ServersNg]));
    insert("ServersLagos", qtTrId(_ids[ServersLagos]));
    insert("ServersPh", qtTrId(_ids[ServersPh]));
    insert("ServersManila", qtTrId(_ids[ServersManila]));
    insert("ServersMy", qtTrId(_ids[ServersMy]));
    insert("ServersKualaLumpur", qtTrId(_ids[ServersKualaLumpur]));
    insert("ServersWashingtonDc", qtTrId(_ids[ServersWashingtonDc]));
}