/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef TASKADDONINDEX_H
#define TASKADDONINDEX_H

#include <QObject>

#include "task.h"

class TaskAddonIndex final : public Task {
  Q_DISABLE_COPY_MOVE(TaskAddonIndex)

 public:
  TaskAddonIndex();
  ~TaskAddonIndex();

  void run() override;

  // If we cancel this task, we have to wait 1 hour before the next fetch.
  DeletePolicy deletePolicy() const override { return Reschedulable; }

 private:
  void maybeComplete();

 private:
  QByteArray m_indexData;
  QByteArray m_indexSignData;
};

#endif  // TASKADDONINDEX_H
